Search.setIndex({"docnames": ["index", "introduction/advanced_topics", "introduction/custom_modifiers", "introduction/data_manipulation", "introduction/data_model", "introduction/examples", "introduction/examples/batch_scripts/cna_bond_indices", "introduction/examples/batch_scripts/creating_particles", "introduction/examples/batch_scripts/voronoi_indices", "introduction/examples/modifiers/calculate_local_entropy", "introduction/examples/modifiers/msd_calculation", "introduction/examples/modifiers/order_parameter_calculation", "introduction/examples/modifiers/select_overlapping_particles", "introduction/examples/modifiers/shrink_wrap_box", "introduction/examples/modifiers/visualize_local_lattice_orientation", "introduction/examples/overlays/data_plot", "introduction/examples/overlays/highlight_particle", "introduction/examples/overlays/scale_bar", "introduction/file_io", "introduction/overview", "introduction/pipelines", "introduction/rendering", "introduction/running", "modules/ovito", "modules/ovito_data", "modules/ovito_io", "modules/ovito_io_ase", "modules/ovito_io_lammps", "modules/ovito_modifiers", "modules/ovito_pipeline", "modules/ovito_vis"], "filenames": ["index.rst", "introduction/advanced_topics.rst", "introduction/custom_modifiers.rst", "introduction/data_manipulation.rst", "introduction/data_model.rst", "introduction/examples.rst", "introduction/examples/batch_scripts/cna_bond_indices.rst", "introduction/examples/batch_scripts/creating_particles.rst", "introduction/examples/batch_scripts/voronoi_indices.rst", "introduction/examples/modifiers/calculate_local_entropy.rst", "introduction/examples/modifiers/msd_calculation.rst", "introduction/examples/modifiers/order_parameter_calculation.rst", "introduction/examples/modifiers/select_overlapping_particles.rst", "introduction/examples/modifiers/shrink_wrap_box.rst", "introduction/examples/modifiers/visualize_local_lattice_orientation.rst", "introduction/examples/overlays/data_plot.rst", "introduction/examples/overlays/highlight_particle.rst", "introduction/examples/overlays/scale_bar.rst", "introduction/file_io.rst", "introduction/overview.rst", "introduction/pipelines.rst", "introduction/rendering.rst", "introduction/running.rst", "modules/ovito.rst", "modules/ovito_data.rst", "modules/ovito_io.rst", "modules/ovito_io_ase.rst", "modules/ovito_io_lammps.rst", "modules/ovito_modifiers.rst", "modules/ovito_pipeline.rst", "modules/ovito_vis.rst"], "titles": ["OVITO Python Reference", "Advanced topics", "User-defined modifiers", "Manipulating data", "Data model", "Code examples", "Example B2: Computing CNA bond indices", "Example B3: Creating particles and bonds programmatically", "Example B1: Computing Voronoi indices", "Example M6: Calculate local entropy", "Example M1: Calculating mean square displacement", "Example M2: Custom order parameter calculation", "Example M4: Finding overlapping particles", "Example M5: Shrink-wrap simulation box", "Example M3: Color mapping to visualize local lattice orientation", "Example O2: Including data plots in rendered images", "Example O3: Highlight a particle", "Example O1: Scale bar", "File I/O", "High-level API overview", "Data pipelines", "Rendering &amp; visualization", "Introduction", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.data</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io.ase</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io.lammps</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.modifiers</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.pipeline</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.vis</span></code>"], "terms": {"thi": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30], "manual": [0, 2, 4, 9, 13, 22, 24, 28, 30], "describ": [0, 2, 5, 18, 22, 24, 28, 30], "program": [0, 2, 3, 4, 5, 8, 10, 18, 19, 21, 22, 23, 28, 29, 30], "interfac": [0, 1, 2, 3, 4, 18, 19, 20, 22, 24, 25, 28, 29, 30], "pro": [0, 22, 26, 30], "desktop": [0, 22, 23, 27, 30], "applic": [0, 1, 2, 4, 22, 23, 27, 30], "standalon": 0, "packag": [0, 22, 26, 27, 30], "let": [0, 1, 2, 3, 4, 6, 8, 10, 11, 18, 19, 20, 21, 22, 24, 25, 27, 28, 29, 30], "you": [0, 1, 2, 3, 4, 5, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30], "integr": [0, 2, 9, 22, 28, 30], "": [0, 1, 2, 3, 4, 6, 8, 9, 10, 13, 18, 20, 21, 23, 24, 25, 27, 28, 29, 30], "comput": [0, 1, 3, 4, 5, 9, 10, 11, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30], "render": [0, 1, 2, 4, 5, 16, 17, 18, 20, 22, 23, 24, 25, 27, 28, 29, 30], "capabl": [0, 3, 22], "extern": [0, 1, 7, 18, 19, 20, 24, 25, 26, 29, 30], "extend": [0, 20, 22, 24, 25, 28], "new": [0, 1, 2, 4, 5, 7, 9, 13, 14, 18, 19, 20, 21, 22, 24, 25, 26, 27, 28, 29, 30], "user": [0, 3, 4, 5, 7, 9, 10, 12, 13, 14, 15, 18, 19, 20, 22, 24, 25, 28, 29, 30], "defin": [0, 3, 4, 5, 7, 10, 11, 12, 13, 14, 15, 17, 18, 19, 21, 22, 23, 24, 25, 27, 28, 29, 30], "data": [0, 1, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 16, 21, 22, 23, 25, 26, 27, 28, 29, 30], "process": [0, 2, 4, 7, 9, 19, 24, 28, 29, 30], "visual": [0, 2, 4, 5, 15, 18, 19, 22, 23, 24, 25, 27, 28, 29, 30], "function": [0, 1, 3, 4, 6, 8, 9, 10, 11, 12, 13, 14, 15, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30], "can": [0, 1, 2, 3, 4, 5, 7, 10, 11, 13, 14, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30], "access": [0, 2, 3, 4, 5, 6, 8, 10, 11, 18, 21, 23, 24, 25, 27, 28, 29, 30], "from": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30], "help": [0, 6, 28, 30], "menu": [0, 2, 22, 25], "basic": [0, 23, 24, 28], "onlin": 0, "go": [0, 2, 24, 30], "doc": [0, 2], "org": [0, 22, 30], "introduct": [0, 5, 28], "high": [0, 18, 24, 25, 26, 28], "level": [0, 4, 18, 23, 24, 25, 26, 28, 30], "api": [0, 9], "overview": [0, 4, 25], "file": [0, 1, 2, 3, 4, 6, 7, 8, 10, 19, 20, 22, 23, 24, 25, 26, 27, 28, 29, 30], "i": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30], "o": [0, 1, 2, 19, 20, 22, 23, 24, 29, 30], "pipelin": [0, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 14, 15, 16, 18, 21, 22, 23, 24, 25, 26, 28, 30], "model": [0, 3, 18, 20, 22, 24, 25, 26, 27, 30], "manipul": [0, 2, 4, 19, 22, 23, 24, 29, 30], "modifi": [0, 1, 4, 6, 8, 9, 10, 11, 12, 13, 14, 18, 20, 21, 22, 23, 24, 25, 27, 29, 30], "advanc": [0, 3, 28], "code": [0, 1, 2, 3, 9, 14, 17, 18, 20, 22, 24, 25, 27, 28, 29, 30], "exampl": [0, 1, 2, 3, 4, 18, 19, 20, 21, 22, 24, 25, 26, 27, 28, 29, 30], "io": [0, 1, 2, 6, 8, 10, 18, 19, 20, 22, 23, 24, 28, 29, 30], "ase": 0, "lammp": [0, 8, 18, 19, 24, 25, 28, 29], "vi": [0, 7, 16, 19, 21, 24, 28], "section": [1, 2, 3, 4, 18, 19, 20, 22, 23, 24, 25, 28], "cover": [1, 22, 24, 28], "sever": [1, 4, 19, 20, 21, 24, 25, 28, 29, 30], "relat": [1, 4, 21, 30], "ovito": [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21], "script": [1, 2, 6, 7, 8, 9, 10, 14, 17, 19, 20, 21, 22, 23, 24, 27, 28, 29, 30], "The": [1, 2, 3, 4, 5, 6, 7, 8, 9, 11, 12, 14, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30], "export_fil": [1, 2, 10, 18, 19, 20, 22, 24, 25, 27, 28, 29], "output": [1, 2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 14, 16, 18, 19, 20, 22, 23, 24, 25, 27, 28, 29, 30], "disk": [1, 3, 18, 23, 25, 28, 29, 30], "But": [1, 24], "how": [1, 3, 4, 5, 6, 12, 15, 18, 19, 20, 22, 24, 25, 28, 29, 30], "do": [1, 2, 6, 10, 13, 18, 19, 20, 24, 25, 27, 28, 29, 30], "definit": [1, 18, 23, 24, 28, 30], "itself": [1, 2, 23, 24, 28], "includ": [1, 2, 3, 5, 19, 22, 23, 24, 26, 27, 28, 30], "paramet": [1, 2, 5, 9, 12, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30], "entir": [1, 4, 23, 24, 28, 30], "scene": [1, 2, 3, 7, 15, 16, 18, 19, 21, 22, 23, 24, 25, 28, 29, 30], "state": [1, 2, 3, 19, 23, 27, 28, 30], "us": [1, 2, 3, 4, 6, 7, 8, 9, 10, 12, 15, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30], "method": [1, 3, 4, 9, 18, 19, 20, 21, 23, 24, 25, 28, 29, 30], "thu": [1, 3, 4, 8, 18, 19, 22, 24, 28, 29, 30], "order": [1, 2, 3, 5, 8, 20, 24, 25, 28, 30], "need": [1, 2, 3, 10, 11, 17, 18, 19, 21, 22, 23, 24, 25, 28, 29, 30], "first": [1, 3, 4, 7, 8, 16, 18, 19, 20, 21, 22, 24, 25, 28, 29, 30], "make": [1, 2, 3, 7, 9, 10, 11, 12, 18, 20, 22, 24, 25, 26, 27, 28, 29, 30], "part": [1, 2, 3, 18, 19, 20, 23, 24, 28, 29, 30], "call": [1, 2, 3, 4, 5, 9, 17, 18, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29, 30], "its": [1, 2, 3, 4, 7, 10, 11, 19, 20, 21, 23, 24, 25, 28, 29, 30], "add_to_scen": [1, 2, 7, 18, 19, 22, 23, 24, 25, 28, 29, 30], "import": [1, 2, 3, 4, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30], "import_fil": [1, 2, 6, 8, 10, 18, 19, 20, 22, 23, 24, 25, 26, 28, 29, 30], "coordinationanalysismodifi": [1, 15, 20, 24, 28], "input": [1, 3, 4, 6, 8, 9, 10, 11, 13, 14, 17, 18, 20, 23, 24, 25, 26, 28, 29, 30], "simul": [1, 2, 4, 5, 6, 7, 8, 10, 11, 17, 18, 19, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30], "dump": [1, 2, 6, 8, 10, 18, 19, 20, 23, 24, 25, 26, 27, 28, 29, 30], "append": [1, 2, 3, 6, 7, 8, 10, 16, 18, 19, 20, 21, 22, 23, 24, 25, 28, 29, 30], "cutoff": [1, 6, 9, 12, 19, 20, 24, 28, 29, 30], "3": [1, 3, 4, 6, 7, 8, 9, 11, 13, 14, 16, 18, 19, 20, 21, 22, 24, 28, 29, 30], "4": [1, 3, 6, 7, 8, 9, 13, 14, 15, 17, 24, 28, 29, 30], "mypipelin": 1, "restor": [1, 23], "all": [1, 2, 3, 4, 9, 10, 11, 12, 18, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29, 30], "them": [1, 2, 3, 4, 6, 7, 14, 18, 21, 22, 24, 28, 29, 30], "avail": [1, 10, 20, 21, 22, 24, 25, 26, 27, 28, 29, 30], "list": [1, 2, 4, 6, 8, 11, 14, 18, 19, 20, 21, 23, 24, 25, 28, 29, 30], "0": [1, 2, 3, 4, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 24, 25, 26, 27, 28, 29, 30], "Of": 1, "cours": [1, 24], "also": [1, 2, 3, 4, 18, 19, 22, 23, 24, 25, 28, 29, 30], "possibl": [1, 2, 3, 11, 18, 19, 20, 22, 24, 25, 28, 29, 30], "open": [1, 2, 4, 23, 24, 28, 30], "graphic": [1, 2, 4, 5, 10, 11, 14, 18, 19, 20, 23, 24, 28, 29, 30], "convers": [1, 24], "creat": [1, 2, 3, 4, 5, 6, 9, 10, 11, 12, 13, 15, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30], "hand": [1, 2, 22, 27, 28], "futur": [1, 30], "either": [1, 11, 19, 20, 21, 23, 24, 28, 29, 30], "runtim": 1, "preload": 1, "when": [1, 2, 3, 4, 10, 11, 18, 19, 20, 22, 23, 24, 25, 28, 29, 30], "run": [1, 10, 11, 19, 22, 23, 25, 26, 27, 29, 30], "interpret": [1, 2, 5, 10, 23, 25, 26, 27, 28, 30], "done": [1, 2, 3, 5, 18, 19, 21, 24, 28], "command": [1, 22, 23, 25, 27, 28, 30], "line": [1, 3, 4, 6, 18, 21, 22, 23, 24, 25, 27, 28, 30], "option": [1, 2, 3, 4, 15, 18, 19, 21, 22, 23, 24, 25, 28, 29, 30], "py": [1, 22, 27], "now": [1, 3, 8, 20, 23, 24, 26, 28, 29], "execut": [1, 2, 5, 12, 20, 22, 23, 24, 27, 28, 29, 30], "an": [1, 2, 3, 4, 7, 8, 11, 14, 15, 16, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30], "environ": [1, 2, 6, 22, 26, 28, 30], "where": [1, 2, 3, 4, 8, 9, 14, 20, 24, 25, 28, 29, 30], "wa": [1, 3, 4, 18, 23, 24, 28, 29, 30], "alreadi": [1, 3, 13, 19, 20, 22, 24, 25, 28, 30], "popul": [1, 20, 23, 24, 29, 30], "instead": [1, 2, 19, 20, 22, 24, 25, 28, 29, 30], "set": [1, 3, 4, 7, 8, 19, 20, 21, 22, 24, 25, 28, 29, 30], "up": [1, 4, 8, 10, 11, 15, 19, 20, 22, 23, 24, 28, 29, 30], "scratch": [1, 24], "work": [1, 2, 4, 6, 17, 18, 19, 22, 23, 24, 25, 28, 30], "exist": [1, 3, 18, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30], "were": [1, 19, 23, 28, 30], "replac": [1, 3, 18, 19, 24, 25, 28, 29, 30], "serv": [1, 4, 23, 24, 28, 29, 30], "differ": [1, 2, 4, 7, 9, 19, 21, 24, 25, 28, 29, 30], "one": [1, 2, 3, 4, 11, 12, 13, 18, 19, 20, 23, 24, 25, 28, 29, 30], "sourc": [1, 2, 4, 7, 14, 17, 18, 19, 20, 24, 25, 26, 27, 28, 29, 30], "second_fil": [1, 28, 29], "adjust": [1, 17, 24, 28, 30], "1": [1, 2, 3, 4, 6, 7, 8, 9, 11, 12, 14, 15, 16, 18, 19, 20, 21, 22, 24, 26, 27, 28, 29, 30], "some": [1, 2, 3, 4, 6, 7, 8, 11, 18, 19, 21, 22, 23, 24, 25, 28, 29, 30], "have": [1, 2, 3, 4, 10, 18, 19, 20, 21, 22, 23, 24, 25, 28, 29, 30], "been": [1, 3, 4, 12, 18, 19, 20, 22, 23, 24, 25, 28, 29, 30], "parallel": [1, 19, 21, 22, 24, 27, 28, 30], "computation": 1, "expens": [1, 3, 28], "polyhedraltemplatematchingmodifi": [1, 28, 30], "clusteranalysismodifi": [1, 4, 24, 28], "computepropertymodifi": [1, 9, 24, 28, 30], "softwar": [1, 30], "base": [1, 4, 6, 21, 24, 25, 28, 29, 30], "engin": [1, 21, 30], "tachyonrender": [1, 21, 24, 30], "osprayrender": [1, 30], "By": [1, 24, 25, 28, 29], "default": [1, 21, 22, 24, 25, 26, 28, 29, 30], "algorithm": [1, 4, 24, 28, 30], "your": [1, 2, 3, 5, 19, 23, 24, 25, 26, 27, 28, 29, 30], "cpu": 1, "determin": [1, 11, 15, 16, 24, 25, 28, 29, 30], "qthread": 1, "idealthreadcount": 1, "which": [1, 2, 3, 4, 6, 7, 8, 9, 10, 11, 12, 14, 15, 18, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29, 30], "queri": [1, 4, 24, 28, 30], "follow": [1, 2, 3, 5, 6, 7, 9, 11, 14, 17, 18, 19, 20, 22, 24, 25, 27, 28, 29, 30], "qt_compat": [1, 15, 16, 17, 30], "qtcore": [1, 16, 17, 30], "print": [1, 4, 6, 8, 18, 19, 22, 23, 24, 25, 27, 28, 29], "sometim": [1, 19, 20, 28, 29], "desir": [1, 19, 21, 24, 25, 28, 29], "restrict": [1, 2, 22, 28], "singl": [1, 4, 24, 25, 28, 30], "onli": [1, 2, 3, 4, 8, 11, 12, 17, 18, 19, 20, 22, 23, 24, 25, 27, 28, 29, 30], "multipl": [1, 3, 19, 20, 24, 25, 28, 30], "instanc": [1, 2, 3, 4, 18, 19, 20, 21, 23, 24, 25, 28, 29, 30], "achiev": [1, 3, 14, 24], "two": [1, 2, 3, 4, 6, 7, 8, 11, 12, 18, 19, 21, 24, 25, 26, 28, 29, 30], "wai": [1, 2, 18, 19, 21, 22, 24, 28, 29], "both": [1, 3, 8, 22, 24, 25, 28, 30], "support": [1, 4, 11, 18, 21, 24, 25, 28, 30], "nthread": [1, 22], "allow": [1, 2, 3, 5, 12, 14, 19, 21, 22, 24, 25, 27, 28, 29, 30], "overrid": [1, 24, 25, 30], "second": [1, 3, 7, 18, 20, 24, 28, 29, 30], "ovito_thread_count": 1, "variabl": [1, 2, 4, 19, 22, 23, 24, 28], "prior": [1, 28, 29, 30], "invok": [1, 2, 3, 9, 18, 19, 22, 24, 27, 28, 29], "approach": [1, 2, 7, 20, 28], "alwai": [1, 2, 3, 4, 12, 19, 24, 28, 29], "gui": [1, 2, 30], "python": [1, 2, 3, 4, 6, 8, 9, 14, 15, 19, 20, 21, 23, 24, 25, 26, 27, 28, 29, 30], "modul": [1, 2, 3, 4, 6, 8, 15, 19, 20, 21, 23, 24, 25, 26, 27, 28, 29, 30], "export": [1, 2, 4, 6, 7, 10, 20, 24, 25, 28, 29], "own": [2, 3, 5, 19, 24, 26, 28, 29, 30], "particip": [2, 22, 28], "system": [2, 3, 4, 5, 6, 10, 11, 12, 18, 20, 22, 24, 28, 29, 30], "situat": [2, 3, 24, 25, 30], "built": [2, 3, 4, 9, 10, 19, 22, 24, 28, 30], "found": [2, 4, 15, 18, 22, 24, 25, 28, 29], "ar": [2, 3, 4, 5, 8, 11, 12, 13, 14, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30], "suffici": [2, 18, 24, 28], "solv": 2, "specif": [2, 4, 20, 21, 24, 25, 27, 28, 29, 30], "problem": 2, "develop": [2, 11, 22, 27, 30], "simpli": [2, 14, 19, 24, 26, 28, 29], "get": [2, 4, 5, 9, 16, 19, 20, 22, 23, 24, 28, 29, 30], "automat": [2, 4, 18, 19, 21, 22, 24, 25, 28, 29, 30], "whenev": [2, 18, 19, 22, 24, 28], "result": [2, 3, 4, 5, 8, 10, 11, 15, 18, 20, 21, 22, 24, 28, 29, 30], "must": [2, 3, 14, 18, 19, 24, 25, 28, 29, 30], "signatur": [2, 28, 29], "def": [2, 6, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 24, 27, 28, 29, 30], "frame": [2, 4, 8, 9, 10, 11, 12, 13, 14, 15, 16, 18, 20, 21, 24, 25, 28, 29, 30], "current": [2, 3, 4, 6, 11, 12, 15, 18, 19, 20, 22, 23, 24, 25, 26, 27, 28, 29, 30], "anim": [2, 4, 15, 18, 20, 21, 24, 25, 28, 29, 30], "number": [2, 4, 6, 8, 9, 10, 11, 18, 19, 20, 23, 24, 25, 28, 29, 30], "being": [2, 3, 4, 5, 15, 22, 24, 27, 28, 29, 30], "evalu": [2, 3, 5, 18, 19, 20, 22, 25, 26, 28, 29], "datacollect": [2, 3, 4, 6, 7, 9, 13, 18, 19, 20, 24, 25, 26, 27, 28, 29, 30], "hold": [2, 4, 20, 24, 28], "flow": [2, 20], "down": [2, 20, 28, 30], "should": [2, 18, 19, 20, 21, 22, 24, 25, 27, 28, 29, 30], "oper": [2, 3, 4, 22, 23, 24, 28, 29], "return": [2, 3, 4, 6, 8, 13, 14, 16, 18, 19, 20, 24, 25, 26, 27, 28, 29, 30], "ani": [2, 3, 11, 12, 18, 19, 20, 21, 22, 23, 24, 25, 28, 29, 30], "valu": [2, 4, 9, 10, 14, 18, 19, 21, 24, 25, 28, 30], "If": [2, 3, 9, 19, 22, 23, 24, 25, 28, 29, 30], "want": [2, 3, 18, 19, 22, 24, 25, 28, 29, 30], "so": [2, 3, 10, 22, 24, 28, 29, 30], "place": [2, 3, 18, 19, 24, 25, 28, 29, 30], "perform": [2, 3, 4, 5, 9, 18, 19, 20, 22, 23, 24, 27, 28, 29, 30], "step": [2, 3, 4, 9, 18, 20, 22, 24, 25, 27, 28, 30], "insert": [2, 3, 4, 7, 10, 14, 18, 19, 20, 22, 23, 24, 25, 28, 29, 30], "within": [2, 3, 4, 7, 9, 10, 12, 14, 18, 20, 22, 24, 27, 28, 29, 30], "version": [2, 3, 5, 11, 14, 22, 23, 24, 28, 30], "editor": [2, 22, 30], "directli": [2, 3, 11, 18, 19, 21, 22, 23, 24, 28, 30], "type": [2, 3, 4, 5, 6, 7, 8, 18, 19, 20, 21, 22, 24, 25, 28, 29, 30], "batch": [2, 10, 19, 24, 28], "my_mod_funct": 2, "arbitrari": [2, 4, 24, 30], "name": [2, 3, 4, 7, 8, 14, 18, 22, 24, 25, 28, 29, 30], "case": [2, 3, 4, 8, 18, 21, 22, 24, 25, 28, 29, 30], "behind": [2, 3, 28, 30], "wrap": [2, 5, 24, 28, 29, 30], "object": [2, 7, 13, 18, 19, 20, 21, 23, 24, 25, 26, 27, 28, 29, 30], "pythonscriptmodifi": [2, 28], "keep": [2, 3, 19, 20, 22, 24, 28, 29], "mind": [2, 19, 22, 24, 28], "mani": [2, 3, 18, 19, 20, 24, 28], "typic": [2, 3, 4, 5, 18, 19, 20, 21, 23, 24, 25, 27, 28, 29, 30], "happen": [2, 18, 19, 20, 24, 25, 28, 29], "In": [2, 3, 4, 8, 11, 14, 18, 19, 20, 21, 22, 24, 25, 27, 28, 30], "routin": [2, 9, 24], "occur": [2, 3, 6, 8, 24, 28, 30], "updat": [2, 11, 12, 17, 20, 24, 28, 29], "interact": [2, 5, 10, 18, 19, 20, 21, 22, 23, 25, 28, 29, 30], "viewport": [2, 15, 17, 18, 19, 20, 22, 23, 24, 25, 28, 29, 30], "imag": [2, 4, 5, 18, 20, 21, 22, 23, 24, 25, 28, 29, 30], "request": [2, 3, 9, 11, 15, 18, 19, 20, 24, 25, 28, 29, 30], "explicitli": [2, 3, 8, 18, 19, 20, 22, 24, 25, 28, 29], "indirectli": 2, "pass": [2, 18, 19, 20, 21, 22, 24, 25, 28, 29, 30], "produc": [2, 3, 4, 12, 18, 21, 23, 24, 25, 28, 29, 30], "upstream": [2, 28], "e": [2, 3, 4, 14, 17, 18, 19, 20, 22, 23, 24, 25, 28, 29, 30], "g": [2, 3, 4, 9, 17, 18, 20, 22, 23, 24, 25, 28, 30], "filesourc": [2, 3, 18, 19, 20, 24, 25, 28, 29, 30], "further": [2, 4, 7, 18, 22, 24, 28, 29, 30], "preced": [2, 3, 10, 20, 24, 28, 29], "ha": [2, 3, 4, 5, 6, 8, 19, 20, 21, 22, 23, 24, 25, 28, 29, 30], "amend": [2, 3, 24, 29], "after": [2, 19, 20, 22, 23, 24, 28, 29, 30], "subsequ": [2, 12, 18, 22, 23, 24, 28, 29, 30], "It": [2, 3, 4, 6, 8, 9, 10, 11, 19, 22, 23, 24, 25, 26, 27, 28, 29, 30], "note": [2, 3, 4, 11, 14, 18, 19, 20, 22, 24, 25, 28, 29, 30], "subject": [2, 28], "certain": [2, 4, 12, 18, 22, 24, 28, 29], "sinc": [2, 20, 24, 25, 28, 29, 30], "receiv": [2, 4, 24, 28, 29], "through": [2, 3, 4, 18, 19, 21, 22, 23, 24, 25, 28, 29, 30], "noth": [2, 4, 13, 27], "els": [2, 3, 4, 9, 24, 30], "particular": [2, 3, 4, 19, 24, 28], "structur": [2, 3, 4, 6, 7, 8, 19, 20, 22, 24, 25, 28, 29, 30], "add": [2, 3, 4, 7, 19, 23, 24, 28, 29, 30], "remov": [2, 3, 12, 19, 23, 24, 28, 29], "other": [2, 3, 4, 5, 18, 19, 20, 21, 22, 24, 25, 27, 28, 29, 30], "side": [2, 3, 24, 28], "effect": [2, 3, 24, 25, 28, 29, 30], "global": [2, 5, 10, 11, 18, 19, 23, 24, 25, 28, 30], "here": [2, 3, 20, 22, 24, 25, 28, 30], "few": [2, 24], "thing": [2, 5, 19, 22, 24, 25], "insid": [2, 20, 24, 28, 30], "becaus": [2, 3, 21, 22, 24, 28, 29, 30], "thei": [2, 3, 4, 20, 22, 24, 25, 28, 29, 30], "lead": [2, 24, 28, 30], "undesir": 2, "total_energi": 2, "A": [2, 4, 8, 9, 19, 20, 21, 22, 23, 24, 26, 27, 28, 29, 30], "below": [2, 6, 12, 24, 25, 27, 28], "NOT": 2, "chang": [2, 3, 18, 19, 20, 21, 24, 25, 28, 29, 30], "made": [2, 24], "while": [2, 12, 24, 25, 28, 29], "infinit": [2, 24, 28], "loop": [2, 6, 11, 18, 20, 24, 25, 28, 30], "selected_pipelin": [2, 15, 23], "suppos": [2, 28], "collect": [2, 3, 4, 7, 16, 22, 24, 25, 26, 27, 28, 29, 30], "pipeline2": 2, "mai": [2, 3, 4, 10, 12, 14, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30], "numpi": [2, 3, 4, 6, 8, 9, 10, 11, 13, 14, 22, 24, 28, 29, 30], "sum": [2, 9, 10, 11, 28], "particl": [2, 5, 6, 8, 9, 10, 11, 13, 14, 18, 19, 20, 21, 22, 24, 25, 26, 27, 28, 29, 30], "potenti": [2, 12, 19, 24, 28, 30], "energi": [2, 19, 24, 28, 30], "don": [2, 21, 22, 24, 29, 30], "t": [2, 8, 12, 13, 21, 22, 24, 25, 28, 29, 30], "know": [2, 19], "often": [2, 6, 24, 29], "my_output": 2, "txt": [2, 10, 18, 24, 25, 28], "w": [2, 14, 24, 28, 30], "alter": [2, 3, 4, 20, 24, 29], "content": [2, 3, 22, 23, 24, 25, 28, 30], "sure": [2, 3, 20, 24, 25, 28, 30], "adher": 2, "rule": [2, 28], "share": [2, 3, 19, 24, 28, 29], "ownership": [2, 24], "underscor": [2, 3, 24], "notat": [2, 3, 8, 24, 30], "announc": [2, 24], "modif": [2, 6, 19, 20, 24, 28], "see": [2, 3, 4, 11, 18, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29, 30], "provid": [2, 3, 4, 10, 11, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30], "variou": [2, 4, 5, 19, 21, 24, 28, 29, 30], "custom": [2, 5, 7, 10, 14, 22, 24, 25, 28, 30], "analysi": [2, 3, 5, 8, 9, 11, 19, 22, 24, 27, 28, 29], "each": [2, 3, 4, 6, 8, 9, 10, 11, 14, 18, 19, 20, 24, 28, 29, 30], "trajectori": [2, 4, 18, 24, 25, 28, 29, 30], "written": [2, 22, 23, 24, 25, 28], "plot": [2, 4, 5, 18, 22, 24, 28], "As": [2, 5, 18, 19, 20, 21, 23, 24, 25, 28, 30], "mention": [2, 19, 20], "previou": [2, 3, 24, 28], "howev": [2, 3, 18, 22, 24, 25, 28, 29], "fed": [2, 29], "back": [2, 4, 18, 22, 23, 24, 26, 28, 30], "store": [2, 3, 4, 9, 10, 11, 14, 18, 19, 21, 23, 24, 25, 28, 29], "standard": [2, 4, 6, 10, 12, 21, 22, 23, 24, 25, 28, 29, 30], "simpl": [2, 3, 4, 22, 24, 25, 28], "quantiti": [2, 18, 24, 25, 28, 30], "attribut": [2, 5, 10, 18, 19, 21, 23, 24, 25, 27, 28, 29, 30], "dictionari": [2, 3, 4, 24, 28], "text": [2, 3, 4, 6, 10, 11, 12, 17, 18, 22, 24, 25, 28, 30], "attr": [2, 10, 18, 24, 25, 28], "format": [2, 4, 6, 10, 18, 19, 24, 25, 27, 28, 29, 30], "select": [2, 3, 10, 12, 18, 19, 21, 22, 23, 24, 25, 28, 29, 30], "tabl": [2, 9, 10, 15, 18, 24, 25, 28], "similar": [2, 18, 24, 25, 28, 30], "per": [2, 3, 4, 9, 10, 11, 14, 18, 24, 25, 28, 29, 30], "properti": [2, 5, 6, 7, 9, 10, 11, 12, 14, 18, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29, 30], "out": [2, 4, 14, 22, 23, 24, 28, 30], "xyz": [2, 3, 4, 7, 18, 22, 24, 25, 28, 29], "more": [2, 3, 4, 9, 13, 18, 19, 22, 23, 24, 25, 27, 28, 29, 30], "complic": 2, "suitabl": [2, 28], "rather": [2, 3, 4, 24], "over": [2, 6, 9, 11, 12, 20, 24, 25, 27, 28, 30], "rang": [2, 6, 8, 9, 11, 12, 13, 18, 20, 24, 25, 28, 29, 30], "num_fram": [2, 18, 20, 25, 28, 29, 30], "output_fil": [2, 22], "requir": [2, 8, 19, 22, 24, 25, 27, 28, 29, 30], "outlin": [2, 30], "abov": [2, 3, 8, 11, 18, 19, 24, 25, 28, 29, 30], "termin": [2, 5, 22, 24, 28], "cannot": [2, 5, 23, 24, 28], "addit": [2, 3, 4, 18, 19, 20, 22, 24, 25, 28, 29, 30], "read": [2, 3, 18, 20, 24, 25, 29, 30], "For": [2, 3, 4, 11, 18, 20, 21, 22, 24, 25, 28, 29, 30], "could": [2, 14, 18, 24, 28, 29], "extra": [2, 24, 28], "separ": [2, 9, 12, 18, 19, 20, 21, 24, 25, 28, 29, 30], "auxiliari": [2, 24, 28], "outsid": [2, 28, 30], "static": [2, 25, 28, 29], "doe": [2, 13, 18, 20, 22, 24, 26, 28, 29, 30], "depend": [2, 18, 19, 22, 24, 25, 28, 29, 30], "consid": [2, 3, 24, 27, 28], "displac": [2, 3, 5, 21, 24, 28, 29, 30], "vector": [2, 3, 4, 8, 10, 11, 14, 19, 21, 24, 25, 28, 29, 30], "contain": [2, 3, 4, 6, 7, 8, 18, 19, 20, 23, 24, 25, 26, 27, 28, 29, 30], "refer": [2, 3, 4, 9, 11, 13, 22, 24, 28, 29, 30], "coordin": [2, 3, 4, 7, 8, 13, 15, 24, 25, 27, 28, 29, 30], "subtract": [2, 24], "posit": [2, 3, 4, 5, 7, 11, 13, 16, 18, 19, 21, 22, 24, 25, 26, 28, 29, 30], "correspond": [2, 4, 8, 14, 18, 20, 21, 24, 25, 28, 29, 30], "would": [2, 3, 18, 19, 20, 22, 24, 28, 29, 30], "look": [2, 4, 15, 20, 22, 24, 28], "configur": [2, 19, 21, 22, 24, 28, 29, 30], "initi": [2, 3, 9, 10, 18, 19, 20, 24, 28, 29, 30], "sort_particl": [2, 25], "true": [2, 3, 6, 8, 10, 18, 19, 21, 24, 25, 28, 29, 30], "particles_": [2, 3, 8, 9, 11, 12, 14, 24, 28, 29, 30], "create_properti": [2, 3, 7, 9, 11, 12, 14, 24, 28, 29, 30], "main": [2, 20, 22, 29, 30], "thread": [2, 22], "That": [2, 3, 8, 18, 19, 20, 21, 24, 25, 28, 29], "mean": [2, 3, 4, 5, 11, 18, 19, 20, 24, 25, 28, 29, 30], "our": [2, 10, 22, 28, 29], "take": [2, 6, 8, 11, 14, 19, 20, 21, 23, 24, 28, 29, 30], "befor": [2, 3, 19, 20, 21, 22, 24, 28, 29, 30], "control": [2, 12, 19, 21, 24, 25, 28, 29, 30], "mous": [2, 30], "keyboard": 2, "event": [2, 30], "freez": [2, 28], "To": [2, 4, 9, 11, 18, 19, 21, 22, 24, 25, 28, 29, 30], "avoid": [2, 3, 9, 24, 29, 30], "asynchron": 2, "yield": [2, 9, 11, 12, 20, 24, 28, 30], "statement": [2, 3, 11, 23, 24, 28], "temporarili": [2, 3], "give": [2, 3, 11, 19, 21, 24, 28, 30], "chanc": 2, "wait": 2, "repaint": [2, 30], "count": [2, 3, 4, 6, 8, 9, 11, 12, 13, 18, 24, 25, 28, 29, 30], "short": [2, 24, 28, 30], "period": [2, 21, 24, 28, 29, 30], "frequent": [2, 8], "element": [2, 3, 4, 8, 23, 24, 28, 30], "keyword": [2, 18, 19, 24, 25, 29], "cancel": 2, "interrupt": [2, 11], "discontinu": [2, 30], "final": [2, 3, 7, 19, 22, 24, 28, 29], "mechan": [2, 22, 25, 29], "report": [2, 4, 18, 23, 24, 25, 28, 29], "progress": [2, 11, 12, 30], "specifi": [2, 11, 12, 18, 21, 24, 25, 28, 29, 30], "fraction": [2, 24, 28, 30], "displai": [2, 12, 16, 19, 21, 22, 23, 24, 28, 30], "statu": [2, 9, 11, 12], "bar": [2, 5, 9, 11, 12, 15, 24, 28, 30], "moreov": 2, "string": [2, 3, 4, 23, 24, 25, 28, 30], "chapter": 3, "discuss": [3, 24, 30], "pleas": [3, 4, 9, 13, 22, 24, 27, 28, 29, 30], "descript": [3, 24, 25, 28, 30], "organ": [3, 4], "tri": 3, "unnecessari": [3, 29], "copi": [3, 14, 17, 23, 24, 28, 29], "far": [3, 28], "goal": 3, "than": [3, 4, 24, 28, 29, 30], "same": [3, 4, 6, 18, 19, 20, 24, 25, 28, 29], "time": [3, 4, 5, 10, 15, 18, 19, 20, 22, 23, 24, 25, 27, 28, 29, 30], "duplic": [3, 24, 28], "clone": [3, 24], "obtain": [3, 24, 26, 28, 29, 30], "exact": [3, 23, 24], "origin": [3, 19, 24, 25, 28], "data2": [3, 20, 29], "assert": [3, 9, 23, 24], "show": [3, 9, 11, 12, 19, 22, 23, 24, 28, 29, 30], "physic": [3, 24, 28], "word": [3, 18, 20, 24, 28], "just": [3, 4, 20, 22, 24, 25, 28, 30], "too": [3, 24], "simultan": [3, 28], "shallow": [3, 24], "load": [3, 4, 6, 7, 8, 10, 18, 19, 22, 23, 24, 25, 27, 28, 29, 30], "memori": [3, 4, 15, 18, 19, 24, 25, 28, 29], "field": [3, 4, 17, 19, 21, 23, 24, 28, 29, 30], "unmodifi": [3, 19, 29], "master": [3, 29], "enabl": [3, 20, 21, 22, 24, 28, 29, 30], "quick": [3, 24, 28], "re": [3, 18, 20, 25, 28], "without": [3, 7, 18, 22, 24, 25, 28, 29, 30], "reload": 3, "again": [3, 19, 20, 23, 24, 25, 29], "caller": [3, 19], "ineffici": 3, "fulli": [3, 19, 28, 29, 30], "small": [3, 24, 28, 29], "portion": 3, "dataset": [3, 4, 6, 8, 18, 19, 20, 22, 24, 25, 26, 28, 29, 30], "newli": [3, 24, 28, 30], "inform": [3, 4, 5, 8, 18, 19, 20, 21, 22, 23, 24, 25, 28, 29, 30], "come": [3, 24, 30], "plai": 3, "okai": [3, 24, 29], "between": [3, 4, 6, 7, 24, 25, 26, 27, 28, 29, 30], "long": [3, 11, 23, 24, 25, 28, 30], "intend": [3, 19, 24, 28, 29], "implement": [3, 5, 7, 21, 24, 28, 30], "exclus": [3, 24], "otherwis": [3, 22, 23, 24, 28, 30], "unwant": [3, 24], "affect": [3, 24, 28, 30], "anoth": [3, 23, 24, 25, 28, 29], "someon": 3, "Then": [3, 10, 12, 18, 19, 24, 25, 28], "unexpect": [3, 24], "safeguard": 3, "prevent": [3, 30], "accident": 3, "attempt": [3, 24], "boundari": [3, 4, 21, 24, 27, 28, 29, 30], "condit": [3, 4, 24, 27, 28, 29, 30], "flag": [3, 21, 24, 28, 29, 30], "simulationcel": [3, 4, 7, 13, 19, 21, 24, 28, 29, 30], "pbc": [3, 7, 24, 29], "fals": [3, 7, 9, 13, 21, 24, 28, 29, 30], "runtimeerror": [3, 14, 15, 29], "owner": 3, "mutabl": [3, 24], "_": 3, "rais": [3, 14, 15, 17, 24, 26, 29, 30], "error": [3, 24, 29], "detect": [3, 18, 24, 25, 28], "intern": [3, 18, 22, 24, 28, 29], "valid": [3, 9, 20, 24, 28, 30], "caus": 3, "solut": 3, "uniqu": [3, 4, 6, 8, 24, 25, 28], "handi": 3, "shortcut": 3, "cell_": [3, 24], "suffix": [3, 25, 28], "signal": 3, "intent": [3, 29], "check": [3, 22, 24], "whether": [3, 24, 28, 29, 30], "actual": [3, 11, 18, 21, 24, 25, 28, 29, 30], "safe": [3, 24], "referenc": [3, 24, 28, 30], "parent": [3, 4, 24, 30], "child": [3, 4, 24, 28], "propertycontain": [3, 4, 24, 28], "accept": [3, 18, 24, 25, 29, 30], "arrai": [3, 4, 6, 8, 9, 11, 14, 24, 28], "argument": [3, 18, 19, 22, 24, 25, 29, 30], "color_valu": 3, "random": [3, 24, 28, 30], "random_sampl": [3, 24, 30], "size": [3, 4, 15, 16, 19, 21, 24, 28, 30], "color": [3, 4, 5, 7, 20, 21, 24, 28, 30], "we": [3, 8, 10, 11, 12, 13, 18, 19, 20, 21, 23, 24, 26, 28, 30], "necessari": [3, 19, 20, 22, 24, 28, 30], "implicitli": [3, 20, 24, 28], "given": [3, 11, 18, 19, 22, 24, 25, 28, 29, 30], "overwritten": [3, 28], "detail": [3, 4, 11, 19, 28, 30], "document": [3, 4, 9, 13, 18, 19, 24, 25, 28, 29, 30], "like": [3, 4, 18, 22, 23, 24, 25, 28, 29, 30], "repres": [3, 4, 19, 20, 23, 24, 28, 29, 30], "nest": [3, 4, 11, 24, 30], "well": [3, 22, 23, 24, 28, 30], "therefor": 3, "bonds_": [3, 24], "easi": [3, 24], "introduc": [3, 24, 29], "move": [3, 10, 28, 30], "positions_": [3, 24], "10": [3, 7, 8, 9, 16, 17, 24, 25, 29, 30], "8": [3, 7, 8, 14, 20, 21, 24, 28, 30], "5": [3, 4, 6, 7, 8, 9, 11, 12, 16, 19, 20, 24, 28, 29, 30], "2": [3, 4, 6, 7, 8, 9, 10, 11, 12, 14, 16, 18, 19, 20, 21, 24, 28, 29, 30], "length": [3, 4, 6, 8, 14, 17, 21, 24, 27, 28, 30], "unit": [3, 4, 17, 21, 24, 28, 30], "along": [3, 19, 24, 28, 29, 30], "x": [3, 8, 14, 18, 19, 22, 24, 25, 28, 29, 30], "axi": [3, 9, 11, 13, 14, 24, 28, 29, 30], "z": [3, 14, 18, 19, 22, 24, 25, 28, 29, 30], "index": [3, 6, 8, 12, 16, 24, 25, 28], "subset": [3, 24, 28, 30], "those": [3, 24, 28, 30], "whose": [3, 12, 24, 28, 30], "non": [3, 4, 5, 10, 17, 20, 24, 25, 28, 29, 30], "zero": [3, 9, 14, 24, 25, 28, 29, 30], "altern": [3, 10, 19, 22, 24, 25, 26, 28, 30], "compon": [3, 11, 24, 25, 28, 30], "class": [3, 4, 6, 11, 12, 18, 19, 20, 21, 22, 23, 24, 28, 29, 30], "primit": [3, 21], "numer": [3, 4, 8, 9, 24, 25, 28, 29, 30], "associ": [3, 4, 18, 24, 28, 30], "whole": [3, 4, 13, 18, 24], "snapshot": [3, 8, 18, 24, 25, 27, 28, 29], "furthermor": [3, 4, 19, 22, 23, 24, 25, 28, 29, 30], "dislocation_dens": 3, "dislocationanalysi": [3, 24, 27, 28], "total_line_length": [3, 24, 27, 28], "volum": [3, 9, 24, 28, 30], "calcul": [3, 5, 8, 16, 18, 24, 28, 29], "ratio": [3, 28, 30], "total": [3, 4, 24, 27, 28, 29], "disloc": [3, 24, 25, 27, 28, 30], "crystal": [3, 11, 14, 24, 27, 28], "previous": [3, 22, 24, 28, 29], "dislocationanalysismodifi": [3, 24, 27, 28, 30], "ever": 3, "demonstr": [3, 5, 6, 7, 8, 15, 24, 25, 28, 30], "three": [3, 4, 6, 7, 15, 18, 19, 21, 23, 24, 25, 28, 29, 30], "span": [3, 24], "individu": [3, 4, 10, 18, 24, 25, 28, 29, 30], "column": [3, 4, 10, 18, 19, 22, 24, 25, 28, 29], "3x4": [3, 13, 24, 28, 30], "matrix": [3, 9, 13, 19, 24, 28, 30], "15": 3, "b": [3, 24, 28], "30": [3, 24, 28], "c": [3, 22, 24, 28], "dimens": [3, 4, 24, 28, 30], "rescal": [3, 11], "togeth": [3, 4, 24, 28], "affinetransformationmodifi": [3, 28], "normal": [3, 9, 14, 19, 22, 24, 25, 28, 29, 30], "emploi": [3, 9, 20, 24, 27, 28, 29], "appli": [3, 9, 12, 18, 24, 27, 28, 29, 30], "expressionselectionmodifi": [3, 18, 24, 28, 30], "express": [3, 8, 9, 18, 24, 28, 30], "potentialenergi": [3, 18, 28], "6": [3, 7, 8, 11, 24, 28, 30], "deleteselectedmodifi": [3, 12, 22, 24, 28], "act": [3, 11, 19, 28, 29], "exit": [3, 30], "easier": [3, 28, 30], "build": [3, 13, 19, 22, 24], "full": [3, 25, 28], "sub": [3, 4, 9, 24, 28, 30], "fragment": [4, 24], "compos": [4, 20, 30], "box": [4, 5, 7, 21, 24, 28, 30], "bond": [4, 5, 18, 20, 24, 25, 28, 29, 30], "find": [4, 5, 11, 18, 24, 28], "deriv": [4, 21, 28], "common": [4, 18, 22, 24, 28, 29], "dataobject": [4, 21, 24, 25, 30], "form": [4, 20, 24, 28, 29, 30], "relationship": 4, "manag": [4, 19, 23, 24, 28, 29, 30], "turn": [4, 21, 24, 28, 29, 30], "At": 4, "topmost": 4, "hierarchi": [4, 24], "fundament": [4, 14], "complet": [4, 21, 24, 28, 30], "top": [4, 15, 21, 24, 30], "kind": [4, 19, 24, 25, 28, 29, 30], "seri": [4, 18, 24, 25, 28, 30], "basi": [4, 6, 24, 28, 30], "via": [4, 5, 9, 21, 22, 24, 30], "molecul": [4, 24, 28], "center": [4, 12, 16, 24, 28, 30], "represent": [4, 21, 24, 26, 27, 28, 29, 30], "uniform": [4, 24, 28, 30], "mass": [4, 24, 25, 28], "etc": [4, 18, 20, 21, 24, 25, 28, 30], "n": [4, 6, 8, 14, 24, 28], "voxel": [4, 20, 24, 28, 30], "grid": [4, 24, 25, 28, 30], "loos": 4, "held": 4, "special": [4, 24, 28], "gener": [4, 6, 7, 15, 18, 19, 21, 22, 24, 28, 29, 30], "identifi": [4, 24, 25, 27, 28, 30], "prescrib": 4, "mandatori": 4, "present": [4, 5, 10, 24, 28], "mimic": [4, 30], "kei": [4, 24, 28], "color_properti": [4, 28], "conveni": [4, 19, 24], "getter": [4, 24], "datat": [4, 15, 24, 25, 28], "voxelgrid": [4, 24, 25, 28, 30], "behav": [4, 22, 24, 29], "pretti": 4, "much": [4, 28], "73": [4, 19, 24], "24230194": [4, 19], "77583981": [4, 19], "87618297": [4, 19], "49": [4, 19], "00170135": [4, 19], "35": [4, 8, 19, 24, 29], "47610092": [4, 19], "27": [4, 19], "92519951": [4, 19], "50": [4, 19, 24, 28, 29], "36349869": [4, 19], "39": [4, 19], "02569962": [4, 19], "25": [4, 19], "61310005": [4, 19], "42": [4, 19], "71210098": [4, 19], "59": [4, 19], "44919968": [4, 19], "38": [4, 19], "6432991": [4, 19], "9917984": [4, 19], "63": [4, 19], "53770065": [4, 19], "36": [4, 8, 19], "33330154": [4, 19], "44": [4, 19], "17670059": [4, 19], "61": [4, 19, 24], "49860001": [4, 19], "37": [4, 19], "5401001": [4, 19], "dimension": [4, 6, 8, 14, 15, 18, 19, 21, 23, 24, 25, 28, 29, 30], "scalar": [4, 24, 28, 30], "equal": [4, 8, 24, 28], "28655": 4, "shape": [4, 6, 8, 14, 21, 24, 28, 29, 30], "dim": [4, 24], "dtype": [4, 6, 8, 11, 24], "float64": [4, 24], "int32": [4, 24], "int64": [4, 24], "chosen": [4, 24, 28], "token": [4, 24], "pair": [4, 9, 12, 24, 25, 28, 30], "reader": [4, 25, 28, 29], "relev": 4, "timestep": [4, 10, 18, 24, 25, 27, 28], "inspect": [4, 28], "inspector": 4, "panel": 4, "clusteranalysi": [4, 24, 28], "cluster_count": [4, 24, 28], "reflect": [4, 28, 29, 30], "cluster": [4, 22, 24, 28, 30], "emb": [4, 30], "dynam": [4, 7, 15, 18, 19, 20, 22, 24, 25, 27, 28, 29, 30], "textlabeloverlai": [4, 30], "extens": [4, 22, 24], "tabul": [4, 24, 28], "consist": [4, 20, 22, 24, 28, 29, 30], "row": [4, 6, 8, 24, 28], "histogrammodifi": [4, 24, 28], "commonneighboranalysismodifi": [4, 6, 19, 24, 25, 28], "graph": [4, 24, 28], "chart": [4, 18, 24, 28], "scatter": [4, 24, 28], "histogram": [4, 6, 8, 15, 24, 28], "lookup": [4, 24, 28], "write": [4, 5, 6, 11, 12, 18, 19, 22, 24, 25, 28, 29, 30], "purpos": [4, 18, 20, 22, 24, 28], "constructsurfacemodifi": [4, 24, 28, 30], "construct": [4, 19, 24, 26, 27, 28, 30], "triangul": [4, 30], "spatial": [4, 9, 24, 28], "region": [4, 9, 24, 28, 30], "fill": [4, 24, 26, 27, 28, 29, 30], "surfacemesh": [4, 24, 25, 28, 30], "vertic": [4, 8, 21, 24, 28, 30], "face": [4, 8, 24, 28, 30], "page": [5, 9, 13, 18, 24, 28, 30], "group": [5, 28], "categori": [5, 28], "action": [5, 22, 23], "manner": [5, 28], "autom": [5, 22], "task": [5, 22, 27], "accomplish": [5, 28], "even": [5, 19, 24, 25, 28, 29, 30], "b1": [5, 28], "voronoi": [5, 28], "indic": [5, 11, 23, 24, 28, 30], "b2": [5, 28], "cna": [5, 28], "b3": 5, "programmat": [5, 10, 19, 22, 24, 29, 30], "everi": [5, 11, 17, 20, 22, 24, 27, 28, 29, 30], "m1": 5, "squar": [5, 11, 21, 24, 28, 30], "m2": 5, "m3": 5, "map": [5, 18, 24, 25, 28, 29, 30], "local": [5, 6, 24, 25, 28, 29, 30], "lattic": [5, 11, 24, 27, 28], "orient": [5, 11, 19, 21, 24, 28, 30], "m4": 5, "overlap": [5, 28], "m5": 5, "shrink": 5, "m6": 5, "entropi": 5, "o1": 5, "scale": [5, 16, 24, 28, 30], "o2": 5, "o3": 5, "highlight": [5, 24, 28, 30], "createbondsmodifi": [6, 24, 28, 29, 30], "character": [6, 28], "triplet": [6, 24, 30], "topologi": [6, 7, 18, 24, 25, 28, 29], "surround": [6, 28, 30], "network": [6, 24], "enumer": [6, 24, 28], "bondsenumer": [6, 24], "helper": [6, 8, 24], "atom": [6, 7, 8, 9, 11, 14, 18, 22, 24, 25, 26, 28, 29, 30], "cna_pair_typ": 6, "number_of_such_pair": 6, "sy": [6, 22, 28, 30], "analyz": [6, 20, 22, 28], "mode": [6, 24, 28, 29, 30], "bondbas": [6, 28], "heavi": 6, "cna_indic": 6, "frequenc": [6, 8], "magic": [6, 8], "row_histogram": [6, 8], "ca": [6, 8, 24, 25, 27, 28], "ascontiguousarrai": [6, 8], "view": [6, 8, 19, 21, 23, 24, 30], "invers": [6, 8, 24, 28], "return_index": [6, 8], "return_invers": [6, 8], "bincount": [6, 8], "bond_enumer": 6, "particle_index": [6, 9, 24], "stdout": 6, "bond_index_list": 6, "bonds_of_particl": [6, 24], "local_cna_indic": 6, "unique_triplet": 6, "triplet_count": 6, "respect": [6, 10, 11, 24, 25, 28, 30], "zip": 6, "end": [6, 20, 24, 25, 28, 29, 30], "creation": [7, 28, 29], "cell": [7, 9, 13, 19, 20, 21, 24, 25, 27, 28, 29, 30], "fly": [7, 19, 28], "staticsourc": [7, 26, 29], "po": [7, 24], "7": [7, 8, 24, 28, 30], "9": [7, 8, 14, 18, 24, 28, 30], "pos_prop": 7, "type_prop": 7, "particletyp": [7, 24, 25, 28, 30], "id": [7, 8, 24, 25, 28], "cu": [7, 8, 24, 28, 29], "ni": [7, 24], "third": [7, 18, 24, 28, 30], "my_data": 7, "141": 7, "23": 7, "my_prop": [7, 30], "my": [7, 18, 24, 28, 30], "line_width": [7, 24, 30], "bond_topologi": [7, 24], "voronoianalysismodifi": [8, 24, 28], "distribut": [8, 15, 24, 28], "polyhedra": [8, 28], "amorph": 8, "polyhedron": [8, 28], "term": [8, 21, 24, 28, 30], "schlaefli": 8, "edg": [8, 24, 28, 30], "most": [8, 18, 19, 24, 30], "64": [8, 24], "zr": [8, 24, 29], "bulk": [8, 28], "metal": 8, "glass": 8, "icosahedron": 8, "12": [8, 11, 24, 28, 30], "five": 8, "chemic": [8, 24, 28], "radiu": [8, 16, 24, 28, 29, 30], "why": 8, "radii": [8, 24, 28, 29, 30], "polydispers": 8, "tessel": [8, 28], "assign_particle_radii": 8, "atom_typ": 8, "particle_types_": [8, 24, 29], "type_by_id_": [8, 24, 29], "assign": [8, 13, 19, 24, 28, 29, 30], "55": [8, 24, 29], "voro": 8, "compute_indic": [8, 28], "use_radii": [8, 28], "edge_threshold": [8, 28], "m": [8, 22, 24, 26, 28], "maximum": [8, 14, 22, 24, 25, 28, 30], "voro_indic": 8, "sort": [8, 24, 25, 28], "descend": [8, 28], "sort_indic": 8, "argsort": 8, "unique_indic": 8, "ten": 8, "entri": [8, 18, 24, 25, 28], "1f": 8, "tupl": [8, 23, 24, 28, 30], "100": [8, 19, 21, 24, 25, 28], "float": [8, 11, 24, 25, 28, 30], "len": [8, 9, 10, 11, 14, 24, 28], "12274": 8, "11": [8, 24], "7485": 8, "5637": 8, "4857": 8, "3415": 8, "2927": 8, "2900": 8, "2068": 8, "2063": 8, "1662": 8, "fingerprint": 9, "r": [9, 11, 14, 24, 28, 30], "visit": [9, 24, 28], "neighbor": [9, 11, 12, 24, 28, 30], "spheric": [9, 24], "around": [9, 12, 16, 24, 28, 30], "learn": [9, 13, 24, 28, 30], "about": [9, 13, 28, 30], "cutoffneighborfind": [9, 12, 24], "distanc": [9, 11, 12, 24, 28, 29, 30], "central": [9, 11, 12, 24, 28], "averag": [9, 24, 25, 28], "neighborhood": [9, 28], "post": [9, 28, 30], "np": [9, 11, 14, 24, 28], "int": [9, 13, 23, 24, 27, 28, 29, 30], "sigma": 9, "use_local_dens": 9, "compute_averag": 9, "average_cutoff": 9, "messag": [9, 23], "overal": [9, 30], "densiti": [9, 24, 28], "global_rho": 9, "finder": [9, 12, 24], "local_entropi": 9, "empti": [9, 13, 24, 28, 29, 30], "bin": [9, 22, 24, 25, 28], "nbin": 9, "integrand": 9, "linspac": [9, 24, 29], "num": 9, "rsq": 9, "precomput": 9, "factor": [9, 28, 30], "g_m": 9, "prefactor": 9, "pi": 9, "sqrt": [9, 28], "divis": 9, "iter": [9, 12, 20, 24, 28, 30], "r_ij": 9, "neighbor_dist": [9, 24], "r_ji": 9, "r_diff": 9, "expand_dim": 9, "exp": 9, "estim": 9, "local_volum": 9, "rho": 9, "1e": [9, 14, 24], "log": [9, 23, 25], "trapz": 9, "math": [9, 14, 19, 21, 28], "divid": [9, 10, 14, 24, 28], "output_properti": [9, 24, 28], "operate_on": [9, 24, 28], "cutoff_radiu": [9, 28], "numneighbor": 9, "neighbor_express": [9, 28], "msd": 10, "magnitud": [10, 24, 28], "displacement_magnitud": 10, "featur": [10, 19, 25, 28, 30], "calculatedisplacementsmodifi": [10, 21, 28, 29, 30], "calculate_msd": 10, "rest": 10, "msd_data": 10, "multiple_fram": [10, 18, 24, 25, 28, 29], "paper": [11, 28], "phy": 11, "rev": 11, "lett": 11, "86": 11, "5530": 11, "label": [11, 15, 17, 24, 30], "belong": [11, 18, 24, 28], "liquid": 11, "solid": [11, 28, 30], "fcc": [11, 24, 25, 27, 28], "phase": [11, 22, 28], "nearest": [11, 24, 28], "ideal": [11, 28], "denot": [11, 24, 30], "phi": [11, 24], "involv": [11, 24, 28, 30], "closest": [11, 24, 28], "nearestneighborfind": [11, 24], "util": [11, 12, 24, 30], "u": [11, 28, 30], "start": [11, 18, 20, 22, 24, 29, 30], "scope": 11, "constant": [11, 24, 28, 29, 30], "lattice_paramet": 11, "110": 11, "reference_vector": 11, "asarrai": [11, 24], "account": [11, 24, 28], "num_neighbor": [11, 28], "order_param": 11, "prepar": [11, 12, 22, 30], "neigh_find": 11, "oparam": 11, "neigh": [11, 12, 24], "deviat": [11, 28], "squared_devi": 11, "linalg": [11, 14, 24], "norm": [11, 14, 24], "delta": [11, 24, 29], "contribut": 11, "best": 11, "match": [11, 14, 18, 24, 25, 28, 30], "min": [11, 13, 28], "feedback": 11, "search": [12, 24], "elimin": 12, "among": [12, 24], "overlap_dist": 12, "nearbi": [12, 24, 28], "onc": [12, 18, 19, 20, 24, 25, 29], "hasn": 12, "mark": [12, 24, 30], "yet": [12, 24, 25], "test": [12, 24, 28], "ensur": [12, 24, 29], "close": [12, 15, 24, 28, 30], "break": 12, "what": [13, 21, 22, 24, 28], "There": 13, "max": [13, 28], "coords_min": 13, "amin": [13, 28], "coords_max": 13, "amax": [13, 28], "x_max": 13, "x_min": 13, "y_max": 13, "y_min": 13, "z_max": 13, "z_min": 13, "diag": 13, "isn": [13, 24], "create_cel": [13, 24], "polyhedredr": 14, "templat": [14, 25, 28], "ptm": [14, 24, 28], "poli": [14, 28], "quaternion": [14, 28], "rotat": [14, 16, 24, 28, 30], "zone": 14, "translat": [14, 16, 24, 28, 30], "rgb": [14, 24, 28, 30], "past": [14, 17], "window": [14, 17, 22, 28, 30], "quaternions_to_color": 14, "q": 14, "nx4": 14, "nx3": [14, 24, 28], "project": [14, 16, 19, 21, 22, 24, 30], "rodrigu": 14, "space": [14, 16, 17, 19, 21, 24, 25, 28, 30], "y": [14, 18, 19, 22, 24, 25, 28, 29, 30], "zeros_lik": 14, "rr": 14, "hack": 14, "theta": [14, 24, 28], "arctan": 14, "radian": [14, 19, 21, 30], "62": 14, "overlai": [15, 17, 22, 30], "matplotlib": [15, 22], "radial": [15, 24, 28], "agg": 15, "activ": [15, 23, 24, 27, 28, 29, 30], "backend": [15, 30], "off": [15, 21, 24, 28, 29], "screen": [15, 16, 17, 30], "pyplot": 15, "plt": 15, "qtgui": [15, 16, 17, 30], "arg": [15, 16, 17, 22, 30], "rdf": [15, 24, 28], "No": [15, 28, 30], "rdf_data": 15, "xy": [15, 16, 24, 25, 28], "inch": 15, "dpi": 15, "80": [15, 28], "plot_width": 15, "plot_height": 15, "figur": [15, 21, 24], "fig": 15, "ax": [15, 28, 30], "subplot": 15, "figsiz": 15, "patch": 15, "set_alpha": 15, "titl": [15, 24, 30], "tight_layout": 15, "buffer": [15, 28], "buf": 15, "canva": [15, 30], "print_to_buff": 15, "qimag": [15, 30], "res_x": 15, "res_i": 15, "img": 15, "format_rgba8888": 15, "paint": [15, 30], "onto": [15, 24], "painter": [15, 16, 17, 30], "drawimag": 15, "particlesvi": [16, 21, 24, 30], "pindex": 16, "point": [16, 23, 24, 25, 28, 30], "project_point": [16, 30], "none": [16, 23, 24, 25, 26, 27, 28, 29, 30], "particle_typ": [16, 24, 28], "type_by_id": [16, 24, 28], "pixel": [16, 28, 30], "screen_radiu": 16, "project_s": [16, 17, 30], "draw": [16, 24, 30], "dash": 16, "circl": [16, 24, 30], "pen": 16, "qpen": [16, 17], "qt": [16, 17, 30], "dashlin": 16, "setwidth": 16, "setcolor": 16, "qcolor": [16, 17], "255": [16, 17], "setpen": [16, 17], "drawellips": 16, "qpointf": 16, "arrow": [16, 21, 24, 28, 30], "arrow_shap": 16, "qpolygonf": 16, "40": [16, 17, 28, 30], "setbrush": 16, "qbrush": 16, "45": 16, "drawpolygon": 16, "fix": [17, 24, 27, 28, 29], "nm": 17, "shown": [17, 24, 28, 29, 30], "pictur": [17, 21, 24, 28, 30], "bar_length": 17, "angstrom": 17, "bar_color": 17, "label_text": 17, "f": [17, 24, 25, 27, 28], "label_color": 17, "is_perspect": [17, 30], "except": [17, 30], "perspect": [17, 19, 21, 22, 30], "screen_length": 17, "geometri": [17, 21, 24, 27, 28, 30], "height": [17, 30], "07": [17, 30], "margin": [17, 30], "02": [17, 30], "rect": 17, "qrectf": 17, "rectangl": [17, 30], "fillrect": 17, "font": [17, 30], "setpixels": 17, "setfont": 17, "drawtext": [17, 30], "aligncent": 17, "connect": [18, 24, 28, 30], "earlier": [18, 19], "other_simul": 18, "unlik": [18, 20, 24], "appear": [18, 21, 24, 25, 28, 29, 30], "visibl": [18, 19, 21, 22, 23, 24, 28, 29, 30], "topic": [18, 19, 24], "sequenc": [18, 19, 20, 22, 24, 25, 28, 29, 30], "pattern": [18, 25], "1000": [18, 27], "2000": 18, "wildcard": [18, 25], "path": [18, 23, 25, 28, 29, 30], "directori": [18, 22, 25], "file_list": 18, "dir_a": [18, 25], "dir_b": [18, 25], "dir_c": 18, "tell": [18, 20, 22, 28], "save": [18, 19, 22, 23, 25, 28, 30], "quickli": [18, 24], "scan": 18, "multi": [18, 28, 30], "discov": [18, 28], "demand": 18, "jump": [18, 28], "movi": [18, 20, 21, 22, 30], "md": [18, 25, 27, 28, 29], "molecular": [18, 24, 27, 28], "loadtrajectorymodifi": [18, 25, 28, 29], "traj_mod": [18, 28], "fetch": 18, "legaci": [18, 25], "outputfil": 18, "filenam": [18, 19, 21, 23, 24, 25, 30], "One": [18, 28, 29], "expressionselect": [18, 28, 30], "criterion": [18, 28], "Such": [18, 20, 22, 24], "evolut": [18, 28], "potenergi": 18, "531": 18, "540": 18, "522": 18, "502": 18, "familiar": 19, "concept": [19, 20], "respons": [19, 21, 24, 30], "context": [19, 22, 23, 24, 27, 29, 30], "wire": [19, 25, 29], "care": [19, 24, 29], "0x7f9ea70aefb0": 19, "reconfigur": 19, "reus": 19, "colorcodingmodifi": [19, 24, 28, 30], "slicemodifi": [19, 24, 28, 29], "instanti": [19, 28], "constructor": [19, 24, 28], "only_select": [19, 28], "equival": [19, 24, 25, 28], "obvious": 19, "recommend": [19, 22], "known": [19, 21, 24, 28], "sequenti": [19, 20], "outputdata": 19, "pipe": 19, "leav": [19, 24, 28], "essenti": [19, 22, 24], "heterogen": 19, "attributedataobject": 19, "148": 19, "147995": 19, "74": [19, 24], "0739975": 19, "07200623": 19, "03600311": 19, "0756073": 19, "03780365": 19, "enter": [19, 29], "input_data": 19, "output_data": 19, "right": [19, 22, 24, 28, 30], "viewpoint": 19, "seen": [19, 30], "vp": [19, 21, 24, 30], "camera_po": [19, 21, 30], "150": [19, 21], "camera_dir": [19, 21, 24, 30], "fov": [19, 21, 30], "60": [19, 21], "virtual": [19, 28, 30], "camera": [19, 21, 22, 30], "angl": [19, 21, 24, 28, 30], "zoom_al": [19, 21, 24, 30], "render_imag": [19, 21, 24, 30], "myimag": 19, "png": [19, 21, 24, 30], "800": [19, 21], "600": [19, 21], "aspect": [19, 25, 30], "arrang": [20, 28], "filter": [20, 28, 30], "triangl": [20, 24, 30], "mesh": [20, 24, 25, 28, 30], "destruct": [20, 24], "repeat": 20, "workflow": [20, 22], "repeatedli": [20, 22, 29], "ident": [20, 24], "attach": [20, 21, 24, 25, 28, 29, 30], "ad": [20, 23, 24, 28, 29, 30], "assigncolormodifi": [20, 28], "last": [20, 23, 24, 28, 29], "immedi": [20, 24, 29], "trigger": [20, 28, 29], "left": [20, 23, 24, 30], "closer": [20, 28, 30], "recomput": [20, 28], "data1": [20, 29], "trajectory_": 20, "data_frame0": 20, "data_frame1": 20, "data_frame2": 20, "wrong": [20, 29], "atomicstrainmodifi": [20, 28, 29], "block": [20, 29], "longer": [20, 24, 28], "correct": [20, 24, 28], "ii": 20, "simulationcellvi": [21, 24, 30], "0x7f9a414c8060": 21, "0x7fc3650a1c20": 21, "rendering_color": [21, 24, 30], "red": [21, 24, 28], "datavi": [21, 24, 30], "hide": 21, "cubic": [21, 28, 30], "vectorvi": [21, 28, 30], "blue": 21, "front": [21, 24, 30], "ortho": [21, 30], "freeli": 21, "usual": [21, 24, 30], "forget": 21, "reset": [21, 24, 30], "area": [21, 24, 28, 30], "choos": 21, "reason": [21, 24, 25, 29], "zoom": 21, "becom": [21, 24, 28, 30], "render_anim": [21, 30], "background": [21, 30], "avi": [21, 30], "fp": [21, 30], "20": [21, 24, 28, 29, 30], "speed": [21, 24, 30], "qualiti": [21, 30], "openglrender": [21, 28, 30], "fast": [21, 24, 29, 30], "hardwar": [21, 30], "acceler": [21, 30], "opengl": [21, 30], "tachyon": [21, 30], "shadow": [21, 30], "direct_light_intens": [21, 30], "layer": [22, 30], "expos": [22, 24], "framework": [22, 30], "labori": 22, "carri": [22, 28, 30], "remove_hydrogen": 22, "hydrogen": [22, 28], "delet": [22, 24, 28, 29], "selecttypemodifi": [22, 28], "input_fil": 22, "h": [22, 24, 28], "easili": 22, "preconfigur": 22, "ship": 22, "choic": [22, 28, 30], "explain": 22, "later": [22, 24, 25, 27, 28, 29, 30], "especi": 22, "dure": [22, 24, 25, 27, 28, 29, 30], "observ": 22, "outcom": 22, "startup": 22, "enrich": 22, "download": 22, "pypi": 22, "repositori": 22, "pip": [22, 26], "instruct": [22, 28], "http": [22, 25], "anaconda": 22, "miniconda": 22, "channel": 22, "conda": 22, "strict": 22, "prioriti": 22, "forg": 22, "languag": [22, 28], "preinstal": 22, "locat": [22, 24, 25, 28, 29, 30], "subdirectori": 22, "linux": 22, "app": 22, "maco": 22, "ex": 22, "confus": 22, "hello": [22, 30], "me": 22, "x86_64": 22, "consol": [22, 25, 28], "remot": [22, 25, 29, 30], "machin": 22, "possess": [22, 24, 30], "regular": [22, 24, 27, 28, 30], "argv": [22, 28, 30], "setup": 22, "everyth": [22, 23, 28], "anymor": 22, "debug": 22, "processor": [22, 24, 27], "myscript": 22, "embed": [22, 24, 26], "cpython": 22, "setuptool": 22, "nativ": [22, 28], "fail": [22, 25, 28], "compat": 22, "univers": 23, "video": [23, 30], "session": [23, 29], "retriev": [23, 24, 28, 29], "version_str": 23, "encompass": 23, "exactli": [23, 24, 28, 30], "str": [23, 24, 25, 28, 29, 30], "remove_from_scen": [23, 29], "del": [23, 24, 29, 30], "compris": [23, 28], "macro": 23, "enable_log": [23, 24, 28], "begin": [23, 24, 28, 29, 30], "unnotic": 23, "stderr": 23, "2d": [24, 28, 30], "3d": [24, 28, 30], "volumetr": [24, 28, 30], "trajectorylin": [24, 28, 30], "polyhedr": [24, 28], "trianglemesh": [24, 28, 30], "triangular": [24, 28], "dislocationnetwork": [24, 25, 28, 30], "discret": [24, 28, 30], "burger": [24, 28, 30], "elementtyp": [24, 28, 30], "bondtyp": [24, 28], "dislocationseg": 24, "effici": [24, 28], "inherit": [24, 28], "bond_typ": [24, 28], "bond_type_list": 24, "length_prop": 24, "bondsvi": [24, 28, 30], "flat_shad": [24, 30], "width": [24, 28, 30], "bond_vector": 24, "opposit": [24, 28], "track": [24, 25], "shift": 24, "direct": [24, 26, 27, 28, 30], "cross": [24, 28, 29, 30], "product": 24, "dot": [24, 28], "pbc_vector": 24, "transpos": 24, "facilit": 24, "transform": [24, 28, 29, 30], "3x3": [24, 28], "summar": [24, 28], "snippet": [24, 28], "unwrap": [24, 28, 29], "mathbf": [24, 28], "v": 24, "_b": 24, "_a": 24, "cdot": [24, 28], "n_x": 24, "n_y": 24, "n_z": 24, "transpar": [24, 28, 30], "add_bond": 24, "pbcvec": 24, "integ": [24, 28, 30], "delta_vector": 24, "pbc_shift": 24, "undefin": 24, "permit": 24, "unord": 24, "warn": 24, "underli": 24, "invalid": [24, 28, 29], "usag": [24, 26, 27, 28, 29], "gz": [24, 25, 28, 30], "atom_styl": [24, 25, 28, 29, 30], "bondlength": 24, "bond_length": 24, "bonds_enum": 24, "bond_index": 24, "data_collect": [24, 26, 27], "prefetch": 24, "ptype": 24, "type_of_neighbor": 24, "distance_squar": 24, "fact": 24, "find_at": 24, "coord": [24, 28], "contrast": 24, "coincid": 24, "offset": [24, 28, 29, 30], "lot": 24, "better": [24, 28], "neighbor_vector": 24, "vec": 24, "piec": 24, "elementari": 24, "entiti": 24, "next": [24, 30], "bunch": 24, "accessor": 24, "surfac": [24, 28, 30], "success": [24, 28], "veri": [24, 28, 29, 30], "idx": 24, "arang": [24, 28], "constructsurfacemesh": [24, 28], "surface_area": [24, 28], "snapshot_140000": 24, "140000": 24, "ncluster": 24, "possibli": 24, "commonneighboranalysi": [24, 25, 28], "fcc_fraction": 24, "compute_fcc_fract": 24, "n_fcc": 24, "might": 24, "retain": 24, "inexpens": 24, "still": [24, 27], "protect": 24, "against": 24, "make_mut": 24, "deep": 24, "vis_param": 24, "condition": 24, "maintain": [24, 28, 30], "boolean": [24, 28, 30], "logic": 24, "roughli": [24, 28, 30], "item": 24, "setattr": 24, "create_particl": [24, 29], "param": [24, 25, 26, 29], "preserv": [24, 28, 30], "06": [24, 30], "83": 24, "81": 24, "79": 24, "88": 24, "77": 24, "charge_density_grid": 24, "charg": [24, 25, 28], "flat": [24, 28, 30], "flavor": 24, "get_vertic": 24, "predefin": [24, 28], "continu": [24, 28, 30], "trace": [24, 28, 30], "generatetrajectorylinesmodifi": [24, 28, 30], "triangle_mesh": 24, "abstract": [24, 28, 30], "concret": [24, 28, 29], "themselv": [24, 28], "target": [24, 28], "timeaveragingmodifi": [24, 28], "meaning": 24, "subobj": 24, "least": [24, 25], "convert": [24, 26, 27, 28, 30], "remain": [24, 28, 29], "doesn": [24, 29], "synchron": 24, "subclass": [24, 28], "interv": [24, 27, 28, 30], "evenli": 24, "equis": 24, "techniqu": [24, 28, 30], "plot_mod": 24, "plotmod": 24, "co": [24, 26, 28, 29], "These": [24, 25], "trigonometr": 24, "14": [24, 28, 30], "sin": [24, 28, 29], "y1y2": 24, "stack": [24, 28], "barchart": 24, "hcp": [24, 28], "bcc": [24, 28], "65": 24, "97": 24, "75": [24, 30], "four": 24, "axis_label_x": 24, "trig": 24, "func": 24, "explicit": [24, 25, 29, 30], "absenc": 24, "equispac": 24, "implicit": [24, 28], "noplot": 24, "famili": 24, "extract": [24, 28, 30], "dislocationvi": [24, 28, 30], "diamond": [24, 28], "input_crystal_structur": [24, 27, 28], "cubicdiamond": [24, 28], "cell_volum": [24, 28], "segment": [24, 28, 30], "true_burgers_vector": [24, 28], "Or": [24, 28], "paraview": [24, 25, 28], "vtk": [24, 25, 28], "polylin": 24, "clip": 24, "domain": [24, 28], "set_seg": 24, "cluster_id": 24, "custom_color": 24, "crystallit": [24, 28], "cartesian": [24, 25, 28, 30], "flip": [24, 30], "sens": [24, 25, 28], "seg": 24, "dislocations_": 24, "neg": [24, 28, 29], "flipud": 24, "121": 24, "allclos": 24, "scheme": [24, 25, 28], "impos": 24, "coloring_mod": [24, 30], "is_infinite_lin": 24, "is_loop": 24, "spatial_burgers_vector": 24, "type_by_nam": [24, 28], "inact": 24, "identif": [24, 28], "structureidentificationmodifi": [24, 28], "symbol": 24, "greater": [24, 30], "less": [24, 28], "xyz_coord": 24, "ascend": 24, "correctli": [24, 28], "smaller": [24, 28, 30], "technic": [24, 30], "find_al": 24, "core": [24, 28], "neigh_idx": 24, "neigh_vec": 24, "unspecifi": 24, "wise": [24, 28], "skip": [24, 28, 29, 30], "atomist": [24, 26], "establish": [24, 28], "prop": 24, "tid": 24, "assum": [24, 25], "si": 24, "backface_cul": [24, 30], "cull": 24, "polygon": [24, 28, 30], "awai": [24, 28, 29, 30], "viewer": [24, 30], "load_shap": 24, "highlight_edg": [24, 28, 30], "load_default": 24, "databas": 24, "filepath": 24, "obj": [24, 25], "stl": [24, 25], "tetrahedron": 24, "setup_particle_typ": 24, "geometr": [24, 28, 29], "sphere": [24, 28, 30], "cylind": [24, 30], "spherocylind": [24, 30], "ellipsoid": [24, 30], "superquadr": [24, 30], "presenc": [24, 30], "aspher": [24, 30], "round": [24, 30], "switch": [24, 30], "perman": 24, "nylon": 24, "320": [24, 30], "240": [24, 30], "use_mesh_color": 24, "intrins": 24, "vdw_radiu": [24, 28], "van": [24, 28], "der": [24, 28], "waal": [24, 28], "decid": 24, "enough": [24, 28, 30], "veloc": [24, 25, 28, 30], "layout": [24, 30], "role": [24, 28], "angular": [24, 30], "momentum": 24, "centrosymmetri": [24, 28], "deform": [24, 28, 29], "gradient": [24, 28, 30], "xx": [24, 28], "yx": 24, "zx": 24, "yy": [24, 28], "zy": 24, "xz": [24, 28], "yz": [24, 28], "zz": [24, 28], "dipol": [24, 28, 30], "dna": 24, "strand": 24, "elast": [24, 28], "strain": [24, 25, 28], "forc": [24, 28, 30], "kinet": 24, "nucleobas": 24, "nucleotid": 24, "spin": 24, "tensor": [24, 28], "stress": [24, 28], "stretch": [24, 28], "torqu": 24, "liter": [24, 28], "mol_id": 24, "add_particl": 24, "increment": [24, 29], "create_bond": 24, "return_pbcvec": 24, "minimum": [24, 28, 29], "convent": [24, 25, 28, 29], "wrapper": 24, "r_a": 24, "r_b": 24, "shortest": 24, "bool": 24, "dihedr": 24, "improp": 24, "remap_indic": 24, "ndarrai": 24, "slice": [24, 28, 29], "storag": [24, 25], "101": 24, "99": 24, "compar": [24, 28], "permut": 24, "did": [24, 28], "optim": [24, 28], "remap": 24, "behavior": [24, 25, 28], "suppli": 24, "expect": [24, 28], "hydrogen_typ": 24, "hydrogen_indic": 24, "flatnonzero": 24, "structure_typ": 24, "th": [24, 28], "vectori": [24, 28, 30], "d": [24, 28], "modifiable_posit": 24, "position_": 24, "encod": [24, 28, 30], "node": 24, "tprop": 24, "fe": 24, "human": 24, "readabl": 24, "188": 24, "313": 24, "972": 24, "564": 24, "050": 24, "consecut": [24, 25], "similarli": 24, "fe_type_id": 24, "count_nonzero": [24, 28], "957": 24, "classif": [24, 28], "component_count": 24, "component_nam": [24, 25, 28], "raise_error": 24, "keyerror": 24, "type_id": [24, 28], "id_si": 24, "si_atom_count": 24, "type_by_name_": [24, 28], "renam": 24, "structure_types_": 24, "hexagon": [24, 28], "wurtzit": 24, "abc": 24, "dict": 24, "has_select": 24, "name_list": 24, "myint": 24, "infer": 24, "myvector": 24, "old": [24, 28], "delete_el": 24, "mask": [24, 28], "delete_indic": 24, "under": [24, 27, 28, 29, 30], "cast": [24, 28, 30], "parallelepip": 24, "fourth": [24, 28, 30], "pmatrix": 24, "a_x": 24, "b_x": 24, "c_x": 24, "o_x": 24, "a_i": 24, "b_y": 24, "c_y": 24, "o_i": 24, "a_z": 24, "b_z": 24, "c_z": 24, "o_z": 24, "major": [24, 28], "is2d": 24, "ignor": [24, 25, 28, 29, 30], "twice": 24, "larg": [24, 28, 30], "orthogon": [24, 30], "l_x": 24, "l_y": 24, "l_z": 24, "lx": 24, "ly": [24, 28], "lz": 24, "reduc": [24, 25, 28, 30], "p": 24, "quadruplet": 24, "multipli": 24, "p_cartesian": 24, "p_reduc": 24, "shorthand": 24, "matmul": 24, "affin": [24, 28, 29, 30], "revers": [24, 28, 29, 30], "oppos": 24, "somewhat": 24, "v_cartesian": 24, "vx": 24, "vy": 24, "vz": 24, "v_reduc": 24, "v_cartesian_out": 24, "forth": [24, 26, 29], "cartesian_posit": 24, "reduced_posit": 24, "cartesian_positions_out": 24, "linear": [24, 28, 30], "wirefram": [24, 30], "ra": 24, "rb": 24, "abl": [24, 28], "latter": [24, 25], "bring": 24, "reciproc": [24, 28], "bmatrix": 24, "real": [24, 28], "frac": 24, "qquad": 24, "mathrm": [24, 28], "absolut": [24, 28], "submatrix": 24, "tripl": 24, "ab": 24, "det": 24, "volume2d": 24, "v_": 24, "precis": [24, 25, 28], "manifold": [24, 28], "createisosurfacemodifi": [24, 28, 30], "coordinationpolyhedramodifi": [24, 28], "intersect": [24, 30], "to_triangle_mesh": 24, "Being": 24, "enclos": [24, 28, 30], "exterior": [24, 28], "locate_point": 24, "degener": 24, "discrimin": 24, "space_filling_region": 24, "truncat": [24, 28], "cap": [24, 30], "hole": 24, "trimesh": [24, 25], "surface_mesh": [24, 28], "plane": [24, 28], "cut": [24, 28, 29, 30], "get_clipping_plan": 24, "set_clipping_plan": 24, "transient": 24, "independ": [24, 28, 29], "sign": [24, 28], "ep": 24, "reserv": 24, "interior": [24, 28, 30], "threshold": [24, 28], "disabl": [24, 28, 29, 30], "never": [24, 28], "unstabl": 24, "facemap": 24, "Will": [24, 28], "surfacemeshtopologi": 24, "vertex": [24, 28, 30], "halfedg": 24, "vertex_count": 24, "face_count": 24, "edge_count": 24, "depict": [24, 30], "half": [24, 28], "circular": 24, "bound": [24, 28, 30], "link": [24, 30], "said": 24, "first_vertex_edg": 24, "next_vertex_edg": 24, "first_face_edg": 24, "next_face_edg": 24, "prev_face_edg": 24, "adjacent_fac": 24, "count_face_edg": 24, "count_manifold": 24, "count_vertex_edg": 24, "find_edg": 24, "vertex1": 24, "vertex2": 24, "first_edge_vertex": 24, "second_edge_vertex": 24, "first_face_vertex": 24, "head": [24, 29, 30], "has_opposite_edg": 24, "adjac": [24, 28], "opposite_edg": 24, "has_opposite_fac": 24, "partner": 24, "opposite_fac": 24, "forward": [24, 29], "counter": 24, "clockwis": 24, "backward": 24, "rememb": 24, "reach": 24, "count_edg": 24, "start_edg": 24, "next_manifold_edg": 24, "outgo": 24, "get_neighboring_fac": 24, "opp_edg": 24, "trajectoryvi": [24, 28, 30], "particle_id": 24, "time_stamp": 24, "stamp": 24, "someth": 24, "low": 24, "sent": 24, "gpu": 24, "trianglemeshvi": [24, 28, 30], "n_": 24, "get_fac": 24, "set_fac": 24, "vertex_indic": 24, "set_vertic": 24, "parallelogram": 24, "chgcar": [24, 28], "electron": 24, "vasp": [24, 25, 28], "spatialbinningmodifi": [24, 28, 30], "unstructur": 24, "isosurfac": [24, 28], "outer": [24, 30], "03": [24, 30], "nx": 24, "ny": 24, "nz": 24, "field_data": 24, "voxelgridvi": [24, 28, 30], "slowest": 24, "vari": [24, 25, 28], "fortran": 24, "flatten": 24, "isolevel": [24, 28], "resiz": [24, 28, 30], "pov": 25, "rai": [25, 30], "compress": 25, "zlib": 25, "librari": 25, "charact": 25, "conjunct": [25, 28, 29], "imd": 25, "poscar": 25, "fhi": 25, "aim": 25, "gsd": [25, 28], "hoomd": 25, "netcdf": 25, "amber": 25, "binari": [25, 28], "povrai": 25, "refin": [25, 30], "start_fram": [25, 29], "end_fram": [25, 29], "every_nth_fram": 25, "prefer": 25, "digit": 25, "17": 25, "style": [25, 30], "hybrid": 25, "atom_substyl": 25, "suppress": 25, "omit_mass": 25, "ignore_identifi": 25, "contigu": [25, 28], "sftp": 25, "url": [25, 29], "won": [25, 28, 30], "addition": [25, 28, 30], "animat": 25, "variant": 25, "combin": [25, 28, 29, 30], "sim": 25, "200": [25, 28], "sim_a": 25, "sim_b": 25, "frame_index": 25, "sourcefil": 25, "sourcefram": [25, 28], "unless": [25, 28, 29, 30], "hint": 25, "write_data": 25, "full_model": 25, "hybrid_model": 25, "tag": 25, "appropri": [25, 28], "touch": 25, "reorder": 25, "former": 25, "primarili": 25, "rare": 25, "auto": 25, "input_format": 25, "castep": 25, "cfg": 25, "cif": 25, "dlpoli": 25, "galamost": 25, "gaussian": [25, 28], "cube": 25, "gro": [25, 28], "mmcif": 25, "oxdna": 25, "paradi": 25, "parca": 25, "pdb": 25, "quantumespresso": 25, "reaxff": 25, "pvd": 25, "vti": 25, "vtm": 25, "vtp": 25, "vt": 25, "xsf": 25, "xtc": 25, "file_format": [], "lammps_data": [], "lammps_dump": [], "lammps_dump_loc": [], "exchang": [26, 27], "ASE": 26, "ovito_to_as": 26, "ase_to_ovito": 26, "importerror": 26, "instal": [26, 27], "pip3": 26, "ase_atom": 26, "deal": 27, "lammps_to_ovito": 27, "lmp": 27, "rank": 27, "On": 27, "experiment": 27, "contact": 27, "transfer": [27, 28, 30], "perform_dxa": 27, "end_of_step": 27, "defect": [27, 28], "lammps_ptr": 27, "ptr": 27, "mpi": 27, "dxa": [27, 28], "get_thermo": 27, "consult": 28, "depth": [28, 30], "acklandjonesmodifi": 28, "ackland": 28, "jone": 28, "ambientocclusionmodifi": 28, "ambient": [28, 30], "occlus": [28, 30], "bondanalysismodifi": 28, "centrosymmetrymodifi": 28, "chillplusmodifi": 28, "chill": 28, "clearselectionmodifi": 28, "clear": 28, "colorbytypemodifi": 28, "combinedatasetsmodifi": 28, "elasticstrainmodifi": 28, "expandselectionmodifi": 28, "expand": 28, "freezepropertymodifi": 28, "grainsegmentationmodifi": 28, "grain": 28, "identifydiamondmodifi": 28, "invertselectionmodifi": 28, "invert": 28, "replicatemodifi": 28, "replic": 28, "smoothtrajectorymodifi": 28, "smooth": [28, 30], "spatialcorrelationfunctionmodifi": 28, "correl": 28, "timeseriesmodifi": 28, "unwraptrajectoriesmodifi": 28, "vorotopmodifi": 28, "vorotop": 28, "wignerseitzanalysismodifi": [28, 29], "wigner": 28, "seitz": 28, "wrapperiodicimagesmodifi": [28, 29], "miss": 28, "crystallin": 28, "propos": 28, "ico": 28, "color_by_typ": 28, "acklandjon": 28, "recogn": 28, "pack": 28, "bodi": 28, "icosahedr": 28, "shear": 28, "vector_properti": 28, "ones": 28, "diagon": 28, "xy_shear": 28, "05": 28, "mod": [28, 29], "deg2rad": 28, "tm": 28, "reduced_coord": 28, "relative_mod": 28, "target_cel": 28, "rel": [28, 29, 30], "light": [28, 30], "bright": [28, 30], "accord": [28, 30], "degre": [28, 30], "improv": 28, "complex": 28, "buffer_resolut": 28, "resolut": [28, 30], "higher": [28, 30], "intens": [28, 30], "strength": [28, 30], "shade": [28, 30], "sample_count": 28, "exposur": 28, "sampl": [28, 30], "surface_vertic": 28, "surface_fac": 28, "surface_region": 28, "particularli": 28, "displacementmagnitud": 28, "referenceconfigurationmodifi": [28, 29], "von": 28, "mise": 28, "invari": 28, "green": 28, "lagrangian": 28, "six": 28, "symmetr": 28, "output_strain_tensor": 28, "nine": 28, "output_deformation_gradi": 28, "polar": 28, "decomposit": 28, "ru": 28, "output_stretch_tensor": 28, "microrot": 28, "output_rot": 28, "nonaffin": 28, "measur": [28, 30], "falk": 28, "langer": 28, "output_nonaffine_squared_displac": 28, "select_invalid_particl": 28, "atomicstrain": 28, "invalid_particle_count": 28, "increas": 28, "taken": [28, 29, 30], "insuffici": 28, "partit": 28, "byparticletyp": 28, "byparticleselect": 28, "bybondtyp": [28, 30], "bybondselect": 28, "distr": 28, "bond_angl": 28, "instantan": 28, "traj": 28, "avg_bond_angl": 28, "180": 28, "cosine_mod": 28, "cosin": 28, "length_cutoff": 28, "exce": 28, "split": 28, "partial": 28, "hidden": [28, 30], "csp": 28, "disord": 28, "centrosymmetr": 28, "perfect": 28, "pick": [28, 30], "treat": 28, "speci": 28, "water": 28, "hexagonal_ic": 28, "cubic_ic": 28, "interfacial_ic": 28, "hydrat": 28, "interfacial_hydr": 28, "chillplu": 28, "ic": 28, "interfaci": 28, "disconnect": 28, "largest_s": 28, "largest": 28, "sort_by_s": 28, "compute_com": 28, "gyrat": 28, "compute_gyr": 28, "cluster_t": 28, "cluster_color": 28, "neighbor_mod": 28, "cutoffrang": 28, "neighbormod": 28, "unwrap_particl": 28, "residu": 28, "gromac": 28, "1aki": 28, "residue_typ": 28, "prepend": 28, "setup_residue_color": 28, "type_": 28, "glu": 28, "property_nam": 28, "input_properti": 28, "output_color": 28, "element_typ": 28, "clear_select": 28, "reveal": 28, "unselect": 28, "hot": 28, "start_valu": [28, 30], "end_valu": [28, 30], "colorlegendoverlai": [28, 30], "legend": [28, 30], "auto_adjust_rang": 28, "adapt": [28, 30], "irrespect": [28, 29], "soon": 28, "bluewhit": 28, "grayscal": 28, "jet": 28, "magma": 28, "rainbow": [28, 30], "viridi": 28, "linearli": 28, "interpol": [28, 30], "color_t": 28, "yellow": 28, "white": 28, "merg": 28, "primari": 28, "first_fil": [28, 29], "fixedcutoff": 28, "adaptivecutoff": 28, "intervalcutoff": 28, "cellsiz": 28, "syntax": 28, "pore": 28, "alpha": [28, 30], "alphashap": 28, "delaunai": 28, "accommod": 28, "probe": 28, "classifi": 28, "morphologi": 28, "resolv": 28, "larger": [28, 30], "fewer": 28, "coars": 28, "finer": 28, "stukowski": 28, "jom": 28, "66": 28, "2014": 28, "399": 28, "407": 28, "cite": 28, "publish": 28, "smear": 28, "site": 28, "decai": 28, "finit": 28, "diamet": [28, 30], "gaussiandens": 28, "radius_sc": 28, "identify_region": 28, "aggreg": 28, "filled_volum": 28, "specific_surface_area": 28, "empty_volum": 28, "filled_fract": 28, "unitless": 28, "empty_fract": 28, "filled_region_count": 28, "empty_region_count": 28, "void": 28, "isol": 28, "select_surface_particl": 28, "compute_dist": 28, "map_particles_to_region": 28, "grid_resolut": 28, "longest": 28, "stage": 28, "slightli": 28, "procedur": 28, "smoothing_level": 28, "try": 28, "particle_region": 28, "regions_t": 28, "thumb": 28, "extent": 28, "transfer_properti": 28, "blend": 28, "surfacemeshvi": [28, 30], "number_of_bin": 28, "accumul": [28, 30], "total_rdf": 28, "savetxt": 28, "rdf_tabl": 28, "rdf_name": 28, "everth": 28, "convex": 28, "hull": 28, "semi": [28, 30], "surface_transpar": [28, 30], "vdwradiu": 28, "pairwis": 28, "intra_molecule_onli": 28, "transit": 28, "createbond": 28, "num_bond": 28, "upper": [28, 30], "get_pairwise_cutoff": 28, "type_a": 28, "type_b": 28, "set_pairwise_cutoff": 28, "lower_cutoff": 28, "prevent_hh_bond": 28, "nospin": 28, "00014": 28, "show_cap": [28, 30], "bin_count": 28, "reduction_oper": 28, "prefix": 28, "transfer_valu": 28, "asid": 28, "trilinear": 28, "secondari": [28, 29], "msmse": 28, "2012": 28, "085007": 28, "ijk": 28, "broken": 28, "112": 28, "shocklei": 28, "unusu": 28, "hexagonaldiamond": 28, "circuit_stretch": 28, "circuit": 28, "defect_mesh_smoothing_level": 28, "defect_vi": 28, "disloc_vi": 28, "line_coarsening_en": 28, "coarsen": 28, "line_point_separ": 28, "interatom": 28, "amount": 28, "line_smoothing_en": 28, "line_smoothing_level": 28, "only_perfect_disloc": 28, "dissoci": 28, "wide": 28, "trial_circuit_length": 28, "trial": 28, "calculate_deformation_gradi": 28, "null": 28, "calculate_strain_tensor": 28, "axial_ratio": 28, "symmetri": 28, "lattice_const": 28, "push_strain_tensors_forward": 28, "eulerian": 28, "almansi": 28, "materi": [28, 30], "expansionmod": 28, "recurs": [28, 30], "ev": [28, 30], "got": 28, "reimplement": 28, "select_atom": 28, "sel": 28, "limit": 28, "therebi": 28, "fulfil": 28, "pars": 28, "mupars": 28, "omit": [28, 30], "incorpor": 28, "shearstrain": 28, "pl": 28, "source_properti": 28, "destination_properti": 28, "coord0": 28, "freeze_at": 28, "comapr": 28, "frozen": 28, "exhibit": [28, 30], "destin": 28, "motion": 28, "curv": 28, "frame_interv": 28, "sample_particle_properti": [28, 30], "pseudo": [28, 30], "color_mapping_properti": [28, 30], "velocity_magnitud": 28, "color_mapping_interv": [28, 30], "sampling_frequ": 28, "unwrap_trajectori": 28, "polycrystallin": 28, "microstructur": 28, "color_particl": 28, "grainsegment": 28, "grain_count": 28, "graphclusteringauto": 28, "graphclusteringmanu": 28, "minimumspanningtre": 28, "handle_stacking_fault": 28, "handl": [28, 29], "fault": 28, "coher": 28, "twin": 28, "merging_threshold": 28, "contract": 28, "lower": [28, 30], "min_grain_s": 28, "dissolv": 28, "orphan_adopt": 28, "fix_xrang": 28, "xrange_start": 28, "xrange_end": 28, "peatom": [28, 30], "discard": 28, "cubic_diamond": 28, "cubic_diamond_first_neighbor": 28, "cubic_diamond_second_neighbor": 28, "hex_diamond": 28, "hex_diamond_first_neighbor": 28, "hex_diamond_second_neighbor": 28, "identifydiamond": 28, "bonds_mod": 28, "btype": 28, "batom1": 28, "batom2": 28, "dist": 28, "engpot": 28, "c_1": 28, "c_2": 28, "motiv": 28, "compound": 28, "output_ord": 28, "sc": 28, "graphen": 28, "rmsd": 28, "output_rmsd": 28, "output_interatomic_dist": 28, "output_orient": 28, "orderingtyp": 28, "pure": 28, "l10": 28, "l12_a": 28, "l12_b": 28, "zincblende_wurtzit": 28, "boron_nitrid": 28, "polyhedraltemplatematch": 28, "rigid": 28, "rmsd_cutoff": 28, "root": 28, "spuriou": 28, "assign_color": 28, "free": 28, "adjust_box": 28, "accordingli": 28, "fit": [28, 30], "num_x": 28, "num_i": 28, "num_z": 28, "unique_id": 28, "replica": 28, "selecttyp": 28, "num_select": 28, "slab": 28, "Its": 28, "miller": 28, "gridslice_vi": 28, "hkl": 28, "interplanar": 28, "d_": 28, "slab_width": 28, "plane_vi": 28, "render_plan": 28, "mathemat": 28, "thick": 28, "smoothen": 28, "fluctuat": 28, "thermal": 28, "vibrat": 28, "minimum_image_convent": [28, 29], "window_s": 28, "slide": [28, 29], "reduct": 28, "first_deriv": 28, "velocity_profil": 28, "uniti": 28, "sumvol": 28, "align": [28, 30], "perpendicular": 28, "approxim": 28, "grid_vi": 28, "exclud": 28, "pressur": 28, "virial": 28, "fft": 28, "convolut": 28, "summat": 28, "property1": 28, "property2": 28, "real_correlation_funct": 28, "varianc": 28, "c_norm": 28, "mean1": 28, "correlationfunct": 28, "mean2": 28, "covari": 28, "normalized_real_correlation_funct": 28, "apply_window": 28, "hann": 28, "oscil": 28, "power": 28, "law": 28, "rectangular": [28, 30], "direct_summ": 28, "grid_spac": 28, "neighbor_bin": 28, "neighbor_cutoff": 28, "p1": 28, "p2": 28, "autocorrel": 28, "matter": 28, "hierarch": 28, "coarser": 28, "time_attribut": 28, "fold": 28, "unfold": 28, "lazar": 28, "han": 28, "srolovitz": 28, "pna": 28, "43": 28, "2015": 28, "weinberg": 28, "ieee": 28, "tran": 28, "theori": 28, "13": 28, "1966": 28, "websit": [28, 30], "suit": 28, "temperatur": 28, "heat": 28, "melt": 28, "robust": 28, "reliev": 28, "quench": 28, "minim": 28, "webpag": 28, "filter_fil": 28, "dispers": 28, "mono": 28, "max_face_ord": 28, "fall": 28, "generate_bond": 28, "bonds_vi": [28, 30], "shorter": 28, "face_threshold": 28, "whatev": 28, "relative_face_threshold": 28, "generate_polyhedra": 28, "mesh_vi": 28, "01": [28, 30], "occup": 28, "wignerseitz": 28, "vacancy_count": 28, "vacant": 28, "interstitial_count": 28, "interstiti": 28, "minu": 28, "antisit": 28, "tool": [28, 30], "exemplarili": 28, "occupi": 28, "per_type_occup": 28, "affine_map": [28, 29], "affinemap": [28, 29], "torefer": [28, 29], "site_typ": 28, "total_occup": 28, "antisite_count": 28, "output_displac": 28, "throw": 28, "interest": 28, "pertain": 28, "pythonscriptsourc": 29, "yourself": 29, "encount": 29, "setup_atom_typ": 29, "slider": 29, "cach": 29, "source_path": 29, "encapsul": 29, "chain": 29, "feed": 29, "And": 29, "hood": 29, "recalcul": 29, "successfulli": 29, "due": [29, 30], "nor": 29, "persist": 29, "downstream": 29, "disappear": 29, "comparison": 29, "reference_fram": 29, "use_frame_offset": 29, "frame_offset": 29, "upon": 29, "experienc": 29, "trivial": 29, "slight": 29, "tocurr": 29, "consider": 29, "config": 29, "viewportoverlai": 30, "coordinatetripodoverlai": 30, "pythonviewportoverlai": 30, "cylindr": 30, "coloringmod": 30, "byparticl": 30, "adopt": 30, "natur": 30, "underlai": 30, "spectrum": 30, "color_mod": 30, "alignleft": 30, "aligntop": 30, "offset_i": 30, "04": 30, "font_siz": 30, "format_str": 30, "2f": 30, "slash": 30, "corner": 30, "anchor": 30, "alignmentflag": 30, "alignhcent": 30, "alignbottom": 30, "aspect_ratio": 30, "narrow": 30, "border_color": 30, "border": 30, "border_en": 30, "comma": 30, "understood": 30, "qfont": 30, "fromstr": 30, "arial": 30, "bold": 30, "sprintf": 30, "decim": 30, "label1": 30, "label2": 30, "legend_s": 30, "offset_x": 30, "horizont": 30, "outline_color": 30, "outline_en": 30, "text_color": 30, "tripod": 30, "alignright": 30, "axis1_color": 30, "axis1_dir": 30, "axis1_en": 30, "axis1_label": 30, "axis2_color": 30, "axis2_dir": 30, "axis2_en": 30, "axis2_label": 30, "axis3_color": 30, "axis3_dir": 30, "axis3_en": 30, "axis3_label": 30, "axis4_color": 30, "axis4_dir": 30, "7071": 30, "axis4_en": 30, "axis4_label": 30, "075": 30, "burgers_vector_color": 30, "burgers_vector_sc": 30, "exagger": 30, "burgers_vector_width": 30, "bydislocationtyp": 30, "byburgersvector": 30, "bycharact": 30, "show_burgers_vector": 30, "show_line_direct": 30, "fidel": 30, "osprai": 30, "focal": 30, "blur": 30, "www": 30, "ambient_bright": 30, "radianc": 30, "ambient_light_en": 30, "illumin": 30, "infin": 30, "apertur": 30, "focu": 30, "dof_en": 30, "denoising_en": 30, "denois": 30, "mont": 30, "carlo": 30, "nois": 30, "inher": 30, "stochast": 30, "direct_light_angular_diamet": 30, "appar": 30, "soft": 30, "direct_light_en": 30, "focal_length": 30, "sharp": 30, "material_shini": 30, "specular": 30, "phong": 30, "expon": 30, "000": 30, "material_specular_bright": 30, "max_ray_recurs": 30, "raytrac": 30, "refinement_iter": 30, "until": 30, "stop": 30, "samples_per_pixel": 30, "alias": 30, "artifact": 30, "sky_albedo": 30, "ground": 30, "sky": 30, "sun": 30, "sky_light_en": 30, "sky_bright": 30, "outdoor": 30, "sky_turbid": 30, "atmospher": 30, "turbid": 30, "ssh": 30, "refus": 30, "antialiasing_level": 30, "supersampl": 30, "vis_el": 30, "usabl": 30, "render_some_text": 30, "world": 30, "qpainter": 30, "issu": 30, "importantli": 30, "frustum": 30, "proj_tm": 30, "4x4": 30, "world_xyz": 30, "lai": 30, "lie": 30, "view_tm": 30, "contextu": 30, "propag": 30, "cell_vi": 30, "render_cel": 30, "cap_color": 30, "cap_transpar": 30, "opaqu": 30, "color_mapping_gradi": 30, "color_mapping_mod": 30, "colormappingmod": 30, "surface_color": 30, "reverse_orient": 30, "smooth_shad": 30, "ambient_occlus": 30, "omnidirect": 30, "diffus": 30, "overcast": 30, "dai": 30, "ambient_occlusion_bright": 30, "ambient_occlusion_sampl": 30, "antialias": 30, "antialiasing_sampl": 30, "depth_of_field": 30, "direct_light": 30, "exponenti": 30, "6g": 30, "source_pipelin": 30, "placehold": 30, "html": 30, "css": 30, "markup": 30, "upto_current_tim": 30, "wrapped_lin": 30, "85": 30, "vector_vi": 30, "my_modifier_funct": 30, "vector_data": 30, "glyph": 30, "reposit": 30, "dialog": 30, "camera_up": 30, "upward": 30, "create_qt_widget": 30, "widget": 30, "platform": 30, "qwidget": 30, "vice": 30, "versa": 30, "qt6": 30, "pyside6": 30, "older": 30, "qt5": 30, "pyside2": 30, "pysid": 30, "getenv": 30, "qt_api": 30, "qeventloop": 30, "qtimer": 30, "qtwidget": 30, "qapplic": 30, "myapp": 30, "qcoreappl": 30, "500": 30, "400": 30, "setwindowtitl": 30, "demo": 30, "shut": 30, "destroi": 30, "quit": 30, "ui": 30, "exec_": 30, "littl": 30, "eventloop": 30, "640": 30, "480": 30, "every_nth": 30, "mp4": 30, "mov": 30, "gif": 30, "jpeg": 30, "playback": 30, "crop": 30, "tiff": 30, "superimpos": 30, "backdrop": 30, "headless": 30, "hpc": 30, "opportun": 30, "bottom": 30, "highlight_grid_lin": 30, "interpolate_color": 30, "smoothli": 30}, "objects": {"": [[23, 0, 0, "-", "ovito"]], "ovito": [[23, 1, 1, "", "Scene"], [24, 0, 0, "-", "data"], [23, 4, 1, "", "enable_logging"], [25, 0, 0, "-", "io"], [28, 0, 0, "-", "modifiers"], [29, 0, 0, "-", "pipeline"], [23, 5, 1, "", "scene"], [23, 5, 1, "", "version"], [23, 5, 1, "", "version_string"], [30, 0, 0, "-", "vis"]], "ovito.Scene": [[23, 2, 1, "", "load"], [23, 3, 1, "", "pipelines"], [23, 2, 1, "", "save"], [23, 3, 1, "", "selected_pipeline"]], "ovito.data": [[24, 1, 1, "", "BondType"], [24, 1, 1, "", "Bonds"], [24, 1, 1, "", "BondsEnumerator"], [24, 1, 1, "", "CutoffNeighborFinder"], [24, 1, 1, "", "DataCollection"], [24, 1, 1, "", "DataObject"], [24, 1, 1, "", "DataTable"], [24, 1, 1, "", "DislocationNetwork"], [24, 1, 1, "", "DislocationSegment"], [24, 1, 1, "", "ElementType"], [24, 1, 1, "", "NearestNeighborFinder"], [24, 1, 1, "", "ParticleType"], [24, 1, 1, "", "Particles"], [24, 1, 1, "", "Property"], [24, 1, 1, "", "PropertyContainer"], [24, 1, 1, "", "SimulationCell"], [24, 1, 1, "", "SurfaceMesh"], [24, 1, 1, "", "SurfaceMeshTopology"], [24, 1, 1, "", "TrajectoryLines"], [24, 1, 1, "", "TriangleMesh"], [24, 1, 1, "", "VoxelGrid"]], "ovito.data.Bonds": [[24, 2, 1, "", "add_bond"], [24, 3, 1, "", "bond_types"], [24, 3, 1, "", "colors"], [24, 3, 1, "", "pbc_vectors"], [24, 3, 1, "", "selection"], [24, 3, 1, "", "topology"]], "ovito.data.BondsEnumerator": [[24, 2, 1, "", "bonds_of_particle"]], "ovito.data.CutoffNeighborFinder": [[24, 2, 1, "", "find"], [24, 2, 1, "", "find_at"], [24, 2, 1, "", "neighbor_distances"], [24, 2, 1, "", "neighbor_vectors"]], "ovito.data.DataCollection": [[24, 2, 1, "", "apply"], [24, 3, 1, "", "attributes"], [24, 3, 1, "", "cell"], [24, 2, 1, "", "clone"], [24, 2, 1, "", "create_cell"], [24, 2, 1, "", "create_particles"], [24, 3, 1, "", "dislocations"], [24, 3, 1, "", "grids"], [24, 3, 1, "", "objects"], [24, 3, 1, "", "particles"], [24, 3, 1, "", "surfaces"], [24, 3, 1, "", "tables"], [24, 3, 1, "", "trajectories"], [24, 3, 1, "", "triangle_meshes"]], "ovito.data.DataObject": [[24, 3, 1, "", "identifier"], [24, 2, 1, "", "make_mutable"], [24, 3, 1, "", "vis"]], "ovito.data.DataTable": [[24, 3, 1, "", "axis_label_x"], [24, 3, 1, "", "interval"], [24, 3, 1, "", "plot_mode"], [24, 3, 1, "", "x"], [24, 2, 1, "", "xy"], [24, 3, 1, "", "y"]], "ovito.data.DislocationNetwork": [[24, 3, 1, "", "segments"], [24, 2, 1, "", "set_segment"]], "ovito.data.DislocationSegment": [[24, 3, 1, "", "cluster_id"], [24, 3, 1, "", "custom_color"], [24, 3, 1, "", "id"], [24, 3, 1, "", "is_infinite_line"], [24, 3, 1, "", "is_loop"], [24, 3, 1, "", "length"], [24, 3, 1, "", "points"], [24, 3, 1, "", "spatial_burgers_vector"], [24, 3, 1, "", "true_burgers_vector"]], "ovito.data.ElementType": [[24, 3, 1, "", "color"], [24, 3, 1, "", "enabled"], [24, 3, 1, "", "id"], [24, 3, 1, "", "name"]], "ovito.data.NearestNeighborFinder": [[24, 2, 1, "", "find"], [24, 2, 1, "", "find_all"], [24, 2, 1, "", "find_at"]], "ovito.data.ParticleType": [[24, 3, 1, "", "backface_culling"], [24, 3, 1, "", "highlight_edges"], [24, 2, 1, "", "load_defaults"], [24, 2, 1, "", "load_shape"], [24, 3, 1, "", "mass"], [24, 3, 1, "", "radius"], [24, 3, 1, "", "shape"], [24, 3, 1, "", "use_mesh_color"], [24, 3, 1, "", "vdw_radius"]], "ovito.data.Particles": [[24, 2, 1, "", "add_particle"], [24, 3, 1, "", "angles"], [24, 3, 1, "", "bonds"], [24, 3, 1, "", "colors"], [24, 2, 1, "", "create_bonds"], [24, 2, 1, "", "delta_vector"], [24, 3, 1, "", "dihedrals"], [24, 3, 1, "", "forces"], [24, 3, 1, "", "identifiers"], [24, 3, 1, "", "impropers"], [24, 3, 1, "", "masses"], [24, 3, 1, "", "orientations"], [24, 3, 1, "", "particle_types"], [24, 3, 1, "", "positions"], [24, 2, 1, "", "remap_indices"], [24, 3, 1, "", "selection"], [24, 3, 1, "", "structure_types"], [24, 3, 1, "", "velocities"]], "ovito.data.Property": [[24, 3, 1, "", "component_count"], [24, 3, 1, "", "component_names"], [24, 3, 1, "", "name"], [24, 2, 1, "", "type_by_id"], [24, 2, 1, "", "type_by_name"], [24, 3, 1, "", "types"]], "ovito.data.PropertyContainer": [[24, 3, 1, "", "count"], [24, 2, 1, "", "create_property"], [24, 2, 1, "", "delete_elements"], [24, 2, 1, "", "delete_indices"], [24, 3, 1, "", "title"]], "ovito.data.SimulationCell": [[24, 2, 1, "", "delta_vector"], [24, 3, 1, "", "inverse"], [24, 3, 1, "", "is2D"], [24, 3, 1, "", "pbc"], [24, 3, 1, "", "volume"], [24, 3, 1, "", "volume2D"]], "ovito.data.SurfaceMesh": [[24, 3, 1, "", "domain"], [24, 3, 1, "", "faces"], [24, 2, 1, "", "get_clipping_planes"], [24, 2, 1, "", "locate_point"], [24, 3, 1, "", "regions"], [24, 2, 1, "", "set_clipping_planes"], [24, 3, 1, "", "space_filling_region"], [24, 2, 1, "", "to_triangle_mesh"], [24, 3, 1, "", "topology"], [24, 3, 1, "", "vertices"]], "ovito.data.SurfaceMeshTopology": [[24, 2, 1, "", "adjacent_face"], [24, 2, 1, "", "count_face_edges"], [24, 2, 1, "", "count_manifolds"], [24, 2, 1, "", "count_vertex_edges"], [24, 3, 1, "", "edge_count"], [24, 3, 1, "", "face_count"], [24, 2, 1, "", "find_edge"], [24, 2, 1, "", "first_edge_vertex"], [24, 2, 1, "", "first_face_edge"], [24, 2, 1, "", "first_face_vertex"], [24, 2, 1, "", "first_vertex_edge"], [24, 2, 1, "", "has_opposite_edge"], [24, 2, 1, "", "has_opposite_face"], [24, 2, 1, "", "next_face_edge"], [24, 2, 1, "", "next_manifold_edge"], [24, 2, 1, "", "next_vertex_edge"], [24, 2, 1, "", "opposite_edge"], [24, 2, 1, "", "opposite_face"], [24, 2, 1, "", "prev_face_edge"], [24, 2, 1, "", "second_edge_vertex"], [24, 3, 1, "", "vertex_count"]], "ovito.data.TrajectoryLines": [[24, 3, 1, "", "particle_ids"], [24, 3, 1, "", "positions"], [24, 3, 1, "", "time_stamps"]], "ovito.data.TriangleMesh": [[24, 3, 1, "", "face_count"], [24, 2, 1, "", "get_faces"], [24, 2, 1, "", "get_vertices"], [24, 2, 1, "", "set_faces"], [24, 2, 1, "", "set_vertices"], [24, 3, 1, "", "vertex_count"]], "ovito.data.VoxelGrid": [[24, 3, 1, "", "domain"], [24, 3, 1, "", "shape"]], "ovito.io": [[26, 0, 0, "-", "ase"], [25, 4, 1, "", "export_file"], [25, 4, 1, "", "import_file"], [27, 0, 0, "-", "lammps"]], "ovito.io.ase": [[26, 4, 1, "", "ase_to_ovito"], [26, 4, 1, "", "ovito_to_ase"]], "ovito.io.lammps": [[27, 4, 1, "", "lammps_to_ovito"]], "ovito.modifiers": [[28, 1, 1, "", "AcklandJonesModifier"], [28, 1, 1, "", "AffineTransformationModifier"], [28, 1, 1, "", "AmbientOcclusionModifier"], [28, 1, 1, "", "AssignColorModifier"], [28, 1, 1, "", "AtomicStrainModifier"], [28, 1, 1, "", "BondAnalysisModifier"], [28, 1, 1, "", "CalculateDisplacementsModifier"], [28, 1, 1, "", "CentroSymmetryModifier"], [28, 1, 1, "", "ChillPlusModifier"], [28, 1, 1, "", "ClearSelectionModifier"], [28, 1, 1, "", "ClusterAnalysisModifier"], [28, 1, 1, "", "ColorByTypeModifier"], [28, 1, 1, "", "ColorCodingModifier"], [28, 1, 1, "", "CombineDatasetsModifier"], [28, 1, 1, "", "CommonNeighborAnalysisModifier"], [28, 1, 1, "", "ComputePropertyModifier"], [28, 1, 1, "", "ConstructSurfaceModifier"], [28, 1, 1, "", "CoordinationAnalysisModifier"], [28, 1, 1, "", "CoordinationPolyhedraModifier"], [28, 1, 1, "", "CreateBondsModifier"], [28, 1, 1, "", "CreateIsosurfaceModifier"], [28, 1, 1, "", "DeleteSelectedModifier"], [28, 1, 1, "", "DislocationAnalysisModifier"], [28, 1, 1, "", "ElasticStrainModifier"], [28, 1, 1, "", "ExpandSelectionModifier"], [28, 1, 1, "", "ExpressionSelectionModifier"], [28, 1, 1, "", "FreezePropertyModifier"], [28, 1, 1, "", "GenerateTrajectoryLinesModifier"], [28, 1, 1, "", "GrainSegmentationModifier"], [28, 1, 1, "", "HistogramModifier"], [28, 1, 1, "", "IdentifyDiamondModifier"], [28, 1, 1, "", "InvertSelectionModifier"], [28, 1, 1, "", "LoadTrajectoryModifier"], [28, 1, 1, "", "PolyhedralTemplateMatchingModifier"], [28, 1, 1, "", "PythonScriptModifier"], [28, 1, 1, "", "ReplicateModifier"], [28, 1, 1, "", "SelectTypeModifier"], [28, 1, 1, "", "SliceModifier"], [28, 1, 1, "", "SmoothTrajectoryModifier"], [28, 1, 1, "", "SpatialBinningModifier"], [28, 1, 1, "", "SpatialCorrelationFunctionModifier"], [28, 1, 1, "", "StructureIdentificationModifier"], [28, 1, 1, "", "TimeAveragingModifier"], [28, 1, 1, "", "TimeSeriesModifier"], [28, 1, 1, "", "UnwrapTrajectoriesModifier"], [28, 1, 1, "", "VoroTopModifier"], [28, 1, 1, "", "VoronoiAnalysisModifier"], [28, 1, 1, "", "WignerSeitzAnalysisModifier"], [28, 1, 1, "", "WrapPeriodicImagesModifier"]], "ovito.modifiers.AffineTransformationModifier": [[28, 3, 1, "", "only_selected"], [28, 3, 1, "", "operate_on"], [28, 3, 1, "", "reduced_coords"], [28, 3, 1, "", "relative_mode"], [28, 3, 1, "", "target_cell"], [28, 3, 1, "", "transformation"]], "ovito.modifiers.AmbientOcclusionModifier": [[28, 3, 1, "", "buffer_resolution"], [28, 3, 1, "", "intensity"], [28, 3, 1, "", "sample_count"]], "ovito.modifiers.AssignColorModifier": [[28, 3, 1, "", "color"], [28, 3, 1, "", "operate_on"]], "ovito.modifiers.AtomicStrainModifier": [[28, 3, 1, "", "cutoff"], [28, 3, 1, "", "output_deformation_gradients"], [28, 3, 1, "", "output_nonaffine_squared_displacements"], [28, 3, 1, "", "output_rotations"], [28, 3, 1, "", "output_strain_tensors"], [28, 3, 1, "", "output_stretch_tensors"], [28, 3, 1, "", "select_invalid_particles"]], "ovito.modifiers.BondAnalysisModifier": [[28, 3, 1, "", "bins"], [28, 3, 1, "", "cosine_mode"], [28, 3, 1, "", "length_cutoff"], [28, 3, 1, "", "partition"]], "ovito.modifiers.CalculateDisplacementsModifier": [[28, 3, 1, "", "vis"]], "ovito.modifiers.CentroSymmetryModifier": [[28, 3, 1, "", "mode"], [28, 3, 1, "", "num_neighbors"], [28, 3, 1, "", "only_selected"]], "ovito.modifiers.ChillPlusModifier": [[28, 3, 1, "", "cutoff"]], "ovito.modifiers.ClearSelectionModifier": [[28, 3, 1, "", "operate_on"]], "ovito.modifiers.ClusterAnalysisModifier": [[28, 3, 1, "", "cluster_coloring"], [28, 3, 1, "", "compute_com"], [28, 3, 1, "", "compute_gyration"], [28, 3, 1, "", "cutoff"], [28, 3, 1, "", "neighbor_mode"], [28, 3, 1, "", "only_selected"], [28, 3, 1, "", "sort_by_size"], [28, 3, 1, "", "unwrap_particles"]], "ovito.modifiers.ColorByTypeModifier": [[28, 3, 1, "", "clear_selection"], [28, 3, 1, "", "only_selected"], [28, 3, 1, "", "operate_on"], [28, 3, 1, "", "property"]], "ovito.modifiers.ColorCodingModifier": [[28, 3, 1, "", "auto_adjust_range"], [28, 3, 1, "", "end_value"], [28, 3, 1, "", "gradient"], [28, 3, 1, "", "only_selected"], [28, 3, 1, "", "operate_on"], [28, 3, 1, "", "property"], [28, 3, 1, "", "start_value"]], "ovito.modifiers.CombineDatasetsModifier": [[28, 3, 1, "", "source"]], "ovito.modifiers.CommonNeighborAnalysisModifier": [[28, 3, 1, "", "cutoff"], [28, 3, 1, "", "mode"]], "ovito.modifiers.ComputePropertyModifier": [[28, 3, 1, "", "cutoff_radius"], [28, 3, 1, "", "expressions"], [28, 3, 1, "", "neighbor_expressions"], [28, 3, 1, "", "only_selected"], [28, 3, 1, "", "operate_on"], [28, 3, 1, "", "output_property"]], "ovito.modifiers.ConstructSurfaceModifier": [[28, 3, 1, "", "compute_distances"], [28, 3, 1, "", "grid_resolution"], [28, 3, 1, "", "identify_regions"], [28, 3, 1, "", "isolevel"], [28, 3, 1, "", "map_particles_to_regions"], [28, 3, 1, "", "method"], [28, 3, 1, "", "only_selected"], [28, 3, 1, "", "radius"], [28, 3, 1, "", "radius_scaling"], [28, 3, 1, "", "select_surface_particles"], [28, 3, 1, "", "smoothing_level"], [28, 3, 1, "", "transfer_properties"], [28, 3, 1, "", "vis"]], "ovito.modifiers.CoordinationAnalysisModifier": [[28, 3, 1, "", "cutoff"], [28, 3, 1, "", "number_of_bins"], [28, 3, 1, "", "only_selected"], [28, 3, 1, "", "partial"]], "ovito.modifiers.CoordinationPolyhedraModifier": [[28, 3, 1, "", "vis"]], "ovito.modifiers.CreateBondsModifier": [[28, 3, 1, "", "bond_type"], [28, 3, 1, "", "cutoff"], [28, 2, 1, "", "get_pairwise_cutoff"], [28, 3, 1, "", "intra_molecule_only"], [28, 3, 1, "", "lower_cutoff"], [28, 3, 1, "", "mode"], [28, 3, 1, "", "prevent_hh_bonds"], [28, 2, 1, "", "set_pairwise_cutoff"], [28, 3, 1, "", "vis"]], "ovito.modifiers.CreateIsosurfaceModifier": [[28, 3, 1, "", "isolevel"], [28, 3, 1, "", "operate_on"], [28, 3, 1, "", "property"], [28, 3, 1, "", "transfer_values"], [28, 3, 1, "", "vis"]], "ovito.modifiers.DeleteSelectedModifier": [[28, 3, 1, "", "operate_on"]], "ovito.modifiers.DislocationAnalysisModifier": [[28, 3, 1, "", "circuit_stretchability"], [28, 3, 1, "", "color_by_type"], [28, 3, 1, "", "defect_mesh_smoothing_level"], [28, 3, 1, "", "defect_vis"], [28, 3, 1, "", "disloc_vis"], [28, 3, 1, "", "input_crystal_structure"], [28, 3, 1, "", "line_coarsening_enabled"], [28, 3, 1, "", "line_point_separation"], [28, 3, 1, "", "line_smoothing_enabled"], [28, 3, 1, "", "line_smoothing_level"], [28, 3, 1, "", "only_perfect_dislocations"], [28, 3, 1, "", "only_selected"], [28, 3, 1, "", "trial_circuit_length"]], "ovito.modifiers.ElasticStrainModifier": [[28, 3, 1, "", "axial_ratio"], [28, 3, 1, "", "calculate_deformation_gradients"], [28, 3, 1, "", "calculate_strain_tensors"], [28, 3, 1, "", "input_crystal_structure"], [28, 3, 1, "", "lattice_constant"], [28, 3, 1, "", "push_strain_tensors_forward"]], "ovito.modifiers.ExpandSelectionModifier": [[28, 3, 1, "", "cutoff"], [28, 3, 1, "", "iterations"], [28, 3, 1, "", "mode"], [28, 3, 1, "", "num_neighbors"]], "ovito.modifiers.ExpressionSelectionModifier": [[28, 3, 1, "", "expression"], [28, 3, 1, "", "operate_on"]], "ovito.modifiers.FreezePropertyModifier": [[28, 3, 1, "", "destination_property"], [28, 3, 1, "", "freeze_at"], [28, 3, 1, "", "operate_on"], [28, 3, 1, "", "source_property"]], "ovito.modifiers.GenerateTrajectoryLinesModifier": [[28, 3, 1, "", "frame_interval"], [28, 2, 1, "", "generate"], [28, 3, 1, "", "only_selected"], [28, 3, 1, "", "sample_particle_property"], [28, 3, 1, "", "sampling_frequency"], [28, 3, 1, "", "unwrap_trajectories"], [28, 3, 1, "", "vis"]], "ovito.modifiers.GrainSegmentationModifier": [[28, 3, 1, "", "algorithm"], [28, 3, 1, "", "color_particles"], [28, 3, 1, "", "handle_stacking_faults"], [28, 3, 1, "", "merging_threshold"], [28, 3, 1, "", "min_grain_size"], [28, 3, 1, "", "orphan_adoption"]], "ovito.modifiers.HistogramModifier": [[28, 3, 1, "", "bin_count"], [28, 3, 1, "", "fix_xrange"], [28, 3, 1, "", "only_selected"], [28, 3, 1, "", "operate_on"], [28, 3, 1, "", "property"], [28, 3, 1, "", "xrange_end"], [28, 3, 1, "", "xrange_start"]], "ovito.modifiers.InvertSelectionModifier": [[28, 3, 1, "", "operate_on"]], "ovito.modifiers.LoadTrajectoryModifier": [[28, 3, 1, "", "source"]], "ovito.modifiers.PolyhedralTemplateMatchingModifier": [[28, 3, 1, "", "output_deformation_gradient"], [28, 3, 1, "", "output_interatomic_distance"], [28, 3, 1, "", "output_ordering"], [28, 3, 1, "", "output_orientation"], [28, 3, 1, "", "output_rmsd"], [28, 3, 1, "", "rmsd_cutoff"]], "ovito.modifiers.PythonScriptModifier": [[28, 3, 1, "", "function"]], "ovito.modifiers.ReplicateModifier": [[28, 3, 1, "", "adjust_box"], [28, 3, 1, "", "num_x"], [28, 3, 1, "", "num_y"], [28, 3, 1, "", "num_z"], [28, 3, 1, "", "operate_on"], [28, 3, 1, "", "unique_ids"]], "ovito.modifiers.SelectTypeModifier": [[28, 3, 1, "", "operate_on"], [28, 3, 1, "", "property"], [28, 3, 1, "", "types"]], "ovito.modifiers.SliceModifier": [[28, 3, 1, "", "distance"], [28, 3, 1, "", "gridslice_vis"], [28, 3, 1, "", "inverse"], [28, 3, 1, "", "miller"], [28, 3, 1, "", "normal"], [28, 3, 1, "", "only_selected"], [28, 3, 1, "", "operate_on"], [28, 3, 1, "", "plane_vis"], [28, 3, 1, "", "render_plane"], [28, 3, 1, "", "select"], [28, 3, 1, "", "slab_width"]], "ovito.modifiers.SmoothTrajectoryModifier": [[28, 3, 1, "", "minimum_image_convention"], [28, 3, 1, "", "window_size"]], "ovito.modifiers.SpatialBinningModifier": [[28, 3, 1, "", "bin_count"], [28, 3, 1, "", "direction"], [28, 3, 1, "", "first_derivative"], [28, 3, 1, "", "grid_vis"], [28, 3, 1, "", "only_selected"], [28, 3, 1, "", "property"], [28, 3, 1, "", "reduction_operation"]], "ovito.modifiers.SpatialCorrelationFunctionModifier": [[28, 3, 1, "", "apply_window"], [28, 3, 1, "", "direct_summation"], [28, 3, 1, "", "grid_spacing"], [28, 3, 1, "", "neighbor_bins"], [28, 3, 1, "", "neighbor_cutoff"], [28, 3, 1, "", "property1"], [28, 3, 1, "", "property2"]], "ovito.modifiers.StructureIdentificationModifier": [[28, 3, 1, "", "color_by_type"], [28, 3, 1, "", "only_selected"], [28, 3, 1, "", "structures"]], "ovito.modifiers.TimeAveragingModifier": [[28, 3, 1, "", "interval"], [28, 3, 1, "", "operate_on"], [28, 3, 1, "", "sampling_frequency"]], "ovito.modifiers.TimeSeriesModifier": [[28, 3, 1, "", "interval"], [28, 3, 1, "", "operate_on"], [28, 3, 1, "", "sampling_frequency"], [28, 3, 1, "", "time_attribute"]], "ovito.modifiers.VoroTopModifier": [[28, 3, 1, "", "filter_file"], [28, 3, 1, "", "use_radii"]], "ovito.modifiers.VoronoiAnalysisModifier": [[28, 3, 1, "", "bonds_vis"], [28, 3, 1, "", "compute_indices"], [28, 3, 1, "", "edge_threshold"], [28, 3, 1, "", "face_threshold"], [28, 3, 1, "", "generate_bonds"], [28, 3, 1, "", "generate_polyhedra"], [28, 3, 1, "", "mesh_vis"], [28, 3, 1, "", "only_selected"], [28, 3, 1, "", "relative_face_threshold"], [28, 3, 1, "", "use_radii"]], "ovito.modifiers.WignerSeitzAnalysisModifier": [[28, 3, 1, "", "output_displaced"], [28, 3, 1, "", "per_type_occupancies"]], "ovito.pipeline": [[29, 1, 1, "", "FileSource"], [29, 1, 1, "", "Modifier"], [29, 1, 1, "", "Pipeline"], [29, 1, 1, "", "PythonScriptSource"], [29, 1, 1, "", "ReferenceConfigurationModifier"], [29, 1, 1, "", "StaticSource"]], "ovito.pipeline.FileSource": [[29, 2, 1, "", "compute"], [29, 3, 1, "", "data"], [29, 2, 1, "", "load"], [29, 3, 1, "", "num_frames"], [29, 3, 1, "", "source_path"]], "ovito.pipeline.Modifier": [[29, 3, 1, "", "enabled"]], "ovito.pipeline.Pipeline": [[29, 2, 1, "", "add_to_scene"], [29, 2, 1, "", "compute"], [29, 3, 1, "", "modifiers"], [29, 2, 1, "", "remove_from_scene"], [29, 3, 1, "", "source"]], "ovito.pipeline.PythonScriptSource": [[29, 3, 1, "", "function"]], "ovito.pipeline.ReferenceConfigurationModifier": [[29, 3, 1, "", "affine_mapping"], [29, 3, 1, "", "frame_offset"], [29, 3, 1, "", "minimum_image_convention"], [29, 3, 1, "", "reference"], [29, 3, 1, "", "reference_frame"], [29, 3, 1, "", "use_frame_offset"]], "ovito.pipeline.StaticSource": [[29, 2, 1, "", "compute"], [29, 3, 1, "", "data"]], "ovito.vis": [[30, 1, 1, "", "BondsVis"], [30, 1, 1, "", "ColorLegendOverlay"], [30, 1, 1, "", "CoordinateTripodOverlay"], [30, 1, 1, "", "DataVis"], [30, 1, 1, "", "DislocationVis"], [30, 1, 1, "", "OSPRayRenderer"], [30, 1, 1, "", "OpenGLRenderer"], [30, 1, 1, "", "ParticlesVis"], [30, 1, 1, "", "PythonViewportOverlay"], [30, 1, 1, "", "SimulationCellVis"], [30, 1, 1, "", "SurfaceMeshVis"], [30, 1, 1, "", "TachyonRenderer"], [30, 1, 1, "", "TextLabelOverlay"], [30, 1, 1, "", "TrajectoryVis"], [30, 1, 1, "", "TriangleMeshVis"], [30, 1, 1, "", "VectorVis"], [30, 1, 1, "", "Viewport"], [30, 1, 1, "", "ViewportOverlay"], [30, 1, 1, "", "VoxelGridVis"]], "ovito.vis.BondsVis": [[30, 3, 1, "", "color"], [30, 3, 1, "", "coloring_mode"], [30, 3, 1, "", "flat_shading"], [30, 3, 1, "", "width"]], "ovito.vis.ColorLegendOverlay": [[30, 3, 1, "", "alignment"], [30, 3, 1, "", "aspect_ratio"], [30, 3, 1, "", "border_color"], [30, 3, 1, "", "border_enabled"], [30, 3, 1, "", "font"], [30, 3, 1, "", "font_size"], [30, 3, 1, "", "format_string"], [30, 3, 1, "", "label1"], [30, 3, 1, "", "label2"], [30, 3, 1, "", "legend_size"], [30, 3, 1, "", "modifier"], [30, 3, 1, "", "offset_x"], [30, 3, 1, "", "offset_y"], [30, 3, 1, "", "orientation"], [30, 3, 1, "", "outline_color"], [30, 3, 1, "", "outline_enabled"], [30, 3, 1, "", "property"], [30, 3, 1, "", "text_color"], [30, 3, 1, "", "title"]], "ovito.vis.CoordinateTripodOverlay": [[30, 3, 1, "", "alignment"], [30, 3, 1, "", "axis1_color"], [30, 3, 1, "", "axis1_dir"], [30, 3, 1, "", "axis1_enabled"], [30, 3, 1, "", "axis1_label"], [30, 3, 1, "", "axis2_color"], [30, 3, 1, "", "axis2_dir"], [30, 3, 1, "", "axis2_enabled"], [30, 3, 1, "", "axis2_label"], [30, 3, 1, "", "axis3_color"], [30, 3, 1, "", "axis3_dir"], [30, 3, 1, "", "axis3_enabled"], [30, 3, 1, "", "axis3_label"], [30, 3, 1, "", "axis4_color"], [30, 3, 1, "", "axis4_dir"], [30, 3, 1, "", "axis4_enabled"], [30, 3, 1, "", "axis4_label"], [30, 3, 1, "", "font"], [30, 3, 1, "", "font_size"], [30, 3, 1, "", "line_width"], [30, 3, 1, "", "offset_x"], [30, 3, 1, "", "offset_y"], [30, 3, 1, "", "outline_color"], [30, 3, 1, "", "outline_enabled"], [30, 3, 1, "", "size"], [30, 3, 1, "", "style"]], "ovito.vis.DataVis": [[30, 3, 1, "", "enabled"], [30, 3, 1, "", "title"]], "ovito.vis.DislocationVis": [[30, 3, 1, "", "burgers_vector_color"], [30, 3, 1, "", "burgers_vector_scaling"], [30, 3, 1, "", "burgers_vector_width"], [30, 3, 1, "", "coloring_mode"], [30, 3, 1, "", "line_width"], [30, 3, 1, "", "shading"], [30, 3, 1, "", "show_burgers_vectors"], [30, 3, 1, "", "show_line_directions"]], "ovito.vis.OSPRayRenderer": [[30, 3, 1, "", "ambient_brightness"], [30, 3, 1, "", "ambient_light_enabled"], [30, 3, 1, "", "aperture"], [30, 3, 1, "", "denoising_enabled"], [30, 3, 1, "", "direct_light_angular_diameter"], [30, 3, 1, "", "direct_light_enabled"], [30, 3, 1, "", "direct_light_intensity"], [30, 3, 1, "", "dof_enabled"], [30, 3, 1, "", "focal_length"], [30, 3, 1, "", "material_shininess"], [30, 3, 1, "", "material_specular_brightness"], [30, 3, 1, "", "max_ray_recursion"], [30, 3, 1, "", "refinement_iterations"], [30, 3, 1, "", "samples_per_pixel"], [30, 3, 1, "", "sky_albedo"], [30, 3, 1, "", "sky_brightness"], [30, 3, 1, "", "sky_light_enabled"], [30, 3, 1, "", "sky_turbidity"]], "ovito.vis.OpenGLRenderer": [[30, 3, 1, "", "antialiasing_level"]], "ovito.vis.ParticlesVis": [[30, 3, 1, "", "radius"], [30, 3, 1, "", "scaling"], [30, 3, 1, "", "shape"]], "ovito.vis.PythonViewportOverlay": [[30, 1, 1, "", "Arguments"], [30, 3, 1, "", "function"]], "ovito.vis.PythonViewportOverlay.Arguments": [[30, 3, 1, "", "fov"], [30, 3, 1, "", "frame"], [30, 3, 1, "", "is_perspective"], [30, 3, 1, "", "painter"], [30, 3, 1, "", "proj_tm"], [30, 2, 1, "", "project_point"], [30, 2, 1, "", "project_size"], [30, 3, 1, "", "scene"], [30, 3, 1, "", "size"], [30, 3, 1, "", "view_tm"], [30, 3, 1, "", "viewport"]], "ovito.vis.SimulationCellVis": [[30, 3, 1, "", "line_width"], [30, 3, 1, "", "render_cell"], [30, 3, 1, "", "rendering_color"]], "ovito.vis.SurfaceMeshVis": [[30, 3, 1, "", "cap_color"], [30, 3, 1, "", "cap_transparency"], [30, 3, 1, "", "color_mapping_gradient"], [30, 3, 1, "", "color_mapping_interval"], [30, 3, 1, "", "color_mapping_mode"], [30, 3, 1, "", "color_mapping_property"], [30, 3, 1, "", "highlight_edges"], [30, 3, 1, "", "reverse_orientation"], [30, 3, 1, "", "show_cap"], [30, 3, 1, "", "smooth_shading"], [30, 3, 1, "", "surface_color"], [30, 3, 1, "", "surface_transparency"]], "ovito.vis.TachyonRenderer": [[30, 3, 1, "", "ambient_occlusion"], [30, 3, 1, "", "ambient_occlusion_brightness"], [30, 3, 1, "", "ambient_occlusion_samples"], [30, 3, 1, "", "antialiasing"], [30, 3, 1, "", "antialiasing_samples"], [30, 3, 1, "", "aperture"], [30, 3, 1, "", "depth_of_field"], [30, 3, 1, "", "direct_light"], [30, 3, 1, "", "direct_light_intensity"], [30, 3, 1, "", "focal_length"], [30, 3, 1, "", "shadows"]], "ovito.vis.TextLabelOverlay": [[30, 3, 1, "", "alignment"], [30, 3, 1, "", "font"], [30, 3, 1, "", "font_size"], [30, 3, 1, "", "format_string"], [30, 3, 1, "", "offset_x"], [30, 3, 1, "", "offset_y"], [30, 3, 1, "", "outline_color"], [30, 3, 1, "", "outline_enabled"], [30, 3, 1, "", "source_pipeline"], [30, 3, 1, "", "text"], [30, 3, 1, "", "text_color"]], "ovito.vis.TrajectoryVis": [[30, 3, 1, "", "color"], [30, 3, 1, "", "color_mapping_gradient"], [30, 3, 1, "", "color_mapping_interval"], [30, 3, 1, "", "color_mapping_property"], [30, 3, 1, "", "shading"], [30, 3, 1, "", "upto_current_time"], [30, 3, 1, "", "width"], [30, 3, 1, "", "wrapped_lines"]], "ovito.vis.TriangleMeshVis": [[30, 3, 1, "", "backface_culling"], [30, 3, 1, "", "color"], [30, 3, 1, "", "highlight_edges"], [30, 3, 1, "", "transparency"]], "ovito.vis.VectorVis": [[30, 3, 1, "", "alignment"], [30, 3, 1, "", "color"], [30, 3, 1, "", "color_mapping_gradient"], [30, 3, 1, "", "color_mapping_interval"], [30, 3, 1, "", "color_mapping_property"], [30, 3, 1, "", "flat_shading"], [30, 3, 1, "", "offset"], [30, 3, 1, "", "reverse"], [30, 3, 1, "", "scaling"], [30, 3, 1, "", "transparency"], [30, 3, 1, "", "width"]], "ovito.vis.Viewport": [[30, 3, 1, "", "camera_dir"], [30, 3, 1, "", "camera_pos"], [30, 3, 1, "", "camera_up"], [30, 2, 1, "", "create_qt_widget"], [30, 3, 1, "", "fov"], [30, 3, 1, "", "overlays"], [30, 2, 1, "", "render_anim"], [30, 2, 1, "", "render_image"], [30, 3, 1, "", "type"], [30, 3, 1, "", "underlays"], [30, 2, 1, "", "zoom_all"]], "ovito.vis.ViewportOverlay": [[30, 3, 1, "", "enabled"]], "ovito.vis.VoxelGridVis": [[30, 3, 1, "", "color_mapping_gradient"], [30, 3, 1, "", "color_mapping_interval"], [30, 3, 1, "", "color_mapping_property"], [30, 3, 1, "", "highlight_grid_lines"], [30, 3, 1, "", "interpolate_colors"], [30, 3, 1, "", "transparency"]]}, "objtypes": {"0": "py:module", "1": "py:class", "2": "py:method", "3": "py:property", "4": "py:function", "5": "py:data"}, "objnames": {"0": ["py", "module", "Python module"], "1": ["py", "class", "Python class"], "2": ["py", "method", "Python method"], "3": ["py", "property", "Python property"], "4": ["py", "function", "Python function"], "5": ["py", "data", "Python data"]}, "titleterms": {"ovito": [0, 19, 22, 23, 24, 25, 26, 27, 28, 29, 30], "python": [0, 5, 22], "refer": 0, "topic": [0, 1, 2, 3, 4, 20], "modul": [0, 22], "advanc": 1, "save": [1, 2], "load": [1, 2], "pipelin": [1, 19, 20, 29], "specifi": 1, "number": [1, 22], "processor": 1, "core": [1, 22], "user": 2, "defin": 2, "modifi": [2, 3, 5, 19, 28], "function": [2, 5], "implement": 2, "write": 2, "well": 2, "behav": 2, "how": 2, "comput": [2, 6, 8, 19], "inform": 2, "disk": [2, 19], "One": 2, "time": 2, "input": [2, 19], "data": [2, 3, 4, 15, 18, 19, 20, 24], "long": 2, "run": 2, "next": [2, 3, 4, 20], "manipul": 3, "ownership": 3, "announc": 3, "object": [3, 4], "modif": 3, "assign": 3, "new": 3, "particl": [3, 4, 7, 12, 16], "properti": [3, 4], "bond": [3, 6, 7], "valu": 3, "ad": 3, "global": [3, 4], "attribut": [3, 4], "simul": [3, 13, 20], "cell": 3, "direct": 3, "applic": 3, "model": 4, "tabl": 4, "surfac": 4, "mesh": 4, "code": 5, "exampl": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17], "batch": 5, "script": 5, "viewport": [5, 21], "layer": 5, "b2": 6, "cna": 6, "indic": [6, 8], "b3": 7, "creat": 7, "programmat": 7, "b1": 8, "voronoi": 8, "m6": 9, "calcul": [9, 10, 11], "local": [9, 14], "entropi": 9, "m1": 10, "mean": 10, "squar": 10, "displac": 10, "m2": 11, "custom": 11, "order": 11, "paramet": 11, "m4": 12, "find": 12, "overlap": 12, "m5": 13, "shrink": 13, "wrap": 13, "box": 13, "m3": 14, "color": 14, "map": 14, "visual": [14, 21], "lattic": 14, "orient": 14, "o2": 15, "includ": 15, "plot": 15, "render": [15, 19, 21], "imag": [15, 19], "o3": 16, "highlight": 16, "o1": 17, "scale": 17, "bar": 17, "file": 18, "i": 18, "o": 18, "import": [18, 19], "export": [18, 19], "high": 19, "level": 19, "api": 19, "overview": 19, "": [19, 22], "architectur": 19, "from": 19, "appli": 19, "access": 19, "result": 19, "movi": 19, "further": 19, "read": 19, "process": 20, "trajectori": 20, "element": 21, "introduct": 22, "instal": 22, "your": 22, "interpret": 22, "preload": 22, "session": 22, "state": 22, "graphic": 22, "mode": 22, "cpu": 22, "third": 22, "parti": 22, "io": [25, 26, 27], "ase": 26, "lammp": 27, "vi": 30}, "envversion": {"sphinx.domains.c": 2, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 6, "sphinx.domains.index": 1, "sphinx.domains.javascript": 2, "sphinx.domains.math": 2, "sphinx.domains.python": 3, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.intersphinx": 1, "sphinx": 56}})